use `ombutel`;

-- add some modules
insert into `ombu_modules` (`name`, `has_dialplan`, `admin`, `version`, `portal`) values
	('voicemail', 'yes', 'no', '1.0', 'yes'),
	('follow_me', 'yes', 'no', '1.0', 'yes'),
	('ext_fax', 'yes', 'no', '1.0', 'yes'),
	('terminate_calls', 'yes', 'no', '1.0', 'yes'),
	('custom_context', 'yes', 'no', '1.0', 'yes'),
	('ivr_entries', 'yes', 'no', '1.0', 'yes'),
	('extension_diversions','yes', 'no', '1.0', 'yes');

-- set modules permissions
insert into `ombu_role_privileges` (`role_id`, `module_id`, `allow_view`, `allow_add`, `allow_edit`, `allow_delete`)
	select
	`role_id`,
	`m`.`module_id`,
	'yes',
	'yes',
	'yes',
	'yes'
from `ombu_roles`
left join `ombu_modules` as `m` on (`m`.module_id is not null)
where `m`.`name` in ('voicemail', 'follow_me', 'ext_fax',
	'terminate_calls', 'custom_context', 'ivr_entries', 'extension_diversions');

-- fill categories
insert into `ombu_destination_categories` (`module_id`)
select `module_id` from `ombu_modules`
where `name` in (
	'speeddial', 'extensions', 'conferences', 'custom_app', 'custom_dest',
	'parking', 'paging', 'vmgroup', 'ring_group', 'queues',
	'queues_priority', 'trunks', 'trunk_group', 'disa', 'ivr',
	'preannoun', 'nightmode', 'call_back', 'time_conditions', 'languages',
	'voicemail', 'follow_me', 'ext_fax', 'terminate_calls', 'custom_context',
	'ivr_entries', 'extension_diversions'
);
