insert ignore into `ombutel`.`ombu_destination_categories`(`module_id`, `name`)
select m.module_id, c.`name` from (
	select "voicemail-busy" as `name`
	union all
	select "voicemail-direct"
	union all
	select "voicemail-unavailable"
) as c
join `ombutel`.`ombu_modules` as m on (m.`name` = "extensions");

update `ombutel`.`ombu_destinations` as d
left join `ombutel`.`ombu_destination_categories` as f using (`category_id`)
left join `ombutel`.`ombu_destination_categories` as t on (t.`name` = "voicemail-unavailable")
set d.`index` = d.`index` / 3, d.`category_id` = t.`category_id`
where f.name = "voicemail" and d.`index` % 3 = 0;

update `ombutel`.`ombu_destinations` as d
left join `ombutel`.`ombu_destination_categories` as f using (`category_id`)
left join `ombutel`.`ombu_destination_categories` as t on (t.`name` = "voicemail-direct")
set d.`index` = (d.`index` + 2) / 3, d.`category_id` = t.`category_id`
where f.name = "voicemail" and d.`index` % 3 = 1;

update `ombutel`.`ombu_destinations` as d
left join `ombutel`.`ombu_destination_categories` as f using (`category_id`)
left join `ombutel`.`ombu_destination_categories` as t on (t.`name` = "voicemail-busy")
set d.`index` = (d.`index` + 1) / 3, d.`category_id` = t.`category_id`
where f.name = "voicemail" and d.`index` % 3 = 2;

delete from `ombutel`.`ombu_destination_categories` where `name` = "voicemail";
