use `ombutel`; -- workaround MySQL delete bug

-- adjust table layout

alter table `ombutel`.`ombu_cloudphone_profiles`
	drop column `host`,
	add column `external_hostname` varchar(255) default null,
	add column `remote_outbound_proxy` varchar(255) default null;

-- copy hostname and optional port number

update `ombutel`.`ombu_cloudphone_profiles` cp
left join `ombutel`.`ombu_modules` m on (m.`name` = 'cloudphone')
left join `ombutel`.`ombu_settings` s on (s.`module_id` = m.`module_id` and s.`name` = cp.`transport`)
left join `ombutel`.`xepm_hosts` h on (h.`host_id` = s.`value`)
set cp.`external_hostname` = concat(h.`hostname`,':',
	if(length(h.`sip_port`) > 0, h.`sip_port`, if(cp.`transport` = 'tls', 5061, 5060)))
where h.`host_id` is not null;

update `ombutel`.`ombu_cloudphone_profiles`
set `external_hostname` = substring_index(`external_hostname`, ':', 1)
where substring_index(`external_hostname`, ':', -1) = if(`transport` = 'tls','5061','5060');

-- remove unused hosts

delete from `ombutel`.`xepm_hosts`
where `host_id` in (
	select s.`value`
	from `ombutel`.`ombu_modules` m
	left join `ombutel`.`ombu_settings` s on (s.`module_id` = m.`module_id`)
	where m.`name` = 'cloudphone' and s.`name` in ('udp','tcp','tls')
) and `host_id` not in (select `host_id` from `ombutel`.`xepm_templates`);

-- remove unused settings

delete s
from `ombutel`.`ombu_modules` m
left join `ombutel`.`ombu_settings` s on (s.`module_id` = m.`module_id`)
where m.`name` = 'cloudphone' and  s.`name` in ('udp','tcp','tls');
