create table if not exists `ombutel`.`ombu_external_resources` (
	`resource_id` int unsigned not null auto_increment primary key,
	`name` varchar(255) not null,
	`type` varchar(255) not null,
	`backup` enum('no','yes') not null default 'no',
	unique(`name`)
) character set utf8 collate utf8_unicode_ci;

insert into `ombutel`.`ombu_modules` (`name`, `has_dialplan`, `admin`, `version`, `portal`)
values ('external_resources', 'no', 'yes', '1.0', 'no');

insert ignore into `ombutel`.`ombu_role_privileges` (`role_id`, `module_id`, `allow_view`, `allow_add`, `allow_edit`, `allow_delete`)
select r.`role_id`, m.`module_id`, 'yes', 'yes', 'yes', 'yes'
from `ombutel`.`ombu_roles` r
left join `ombutel`.`ombu_modules` m on (m.`name` = 'external_resources')
where r.`role_id` = 1;

insert ignore into `ombutel`.`ombu_menu` (`label`, `parent_id`, `module_id`, `icon`, `sort`, `action`)
select 'menu.external_resources', p.`menu_id`, m.`module_id`, null, 6, 'external-storage-providers'
from `ombutel`.`ombu_menu` p
left join `ombutel`.`ombu_modules` m on (m.`name` = 'external_resources')
where p.`label` = 'menu.admin_submenu';

insert ignore into `ombutel`.`ombu_actions` (`name`, `displayname`, `function`) values
('external-storage-providers', 'module.external_resources', 'modules\\external_resources\\external_resources::open'),
('external-storage-provider', 'module.external_resources', 'modules\\external_resources\\external_resources::edit'),
('add-external-storage-provider', 'module.external_resources', 'modules\\external_resources\\external_resources::save_resource'),
('edit-external-storage-provider', 'module.external_resources', 'modules\\external_resources\\external_resources::edit_resource'),
('delete-external-storage-provider', 'module.external_resources', 'modules\\external_resources\\external_resources::delete_resource');
