-- filter out dupes

create temporary table `ombutel`.deduped
select `feature_code_category_id`, `feature_code_id`
from `ombutel`.`ombu_feature_code_category_members`
group by `feature_code_category_id`, `feature_code_id`;

delete from `ombutel`.`ombu_feature_code_category_members`;

insert into `ombutel`.`ombu_feature_code_category_members`
	(`feature_code_category_id`, `feature_code_id`)
select `feature_code_category_id`, `feature_code_id`
from `ombutel`.deduped;

drop temporary table `ombutel`.deduped;

-- fix table structure

alter table `ombutel`.`ombu_feature_code_category_members`
	drop foreign key `ombu_feature_code_category_members_ibfk_3`,
	drop foreign key `ombu_feature_code_category_members_ibfk_4`,
	drop index `feature_code_category_id`,
	drop index `feature_code_id`,
	add unique key (`feature_code_category_id`, `feature_code_id`),
	add foreign key (`feature_code_category_id`) references `ombutel`.`ombu_feature_code_categories` (`feature_code_category_id`) on delete cascade,
	add foreign key (`feature_code_id`) references `ombutel`.`ombu_feature_codes` (`feature_code_id`) on delete cascade;
