use `ombutel`;

alter table `ombu_extensions`
-- adding the columns from ombu_extensions_vm
add column `voicemail_timezone_id` int(10) unsigned default null,
add column `password` varchar(25) default null,
add column `alias` varchar(255) default null,
add column `skip_instructions` enum('no','yes') not null default 'no',
add column `attach` enum('no','yes') not null default 'yes',
add column `saycid` enum('no','yes') not null default 'yes',
add column `sayduration` enum('no','yes') not null default 'yes',
add column `envelope` enum('no','yes') not null default 'yes',
add column `delete` enum('no','yes') not null default 'no',
add column `hidefromdir` enum('no','yes') not null default 'no',
add column `enabled` enum('no','yes') not null default 'no',
add column `notifications` enum('no','yes') not null default 'no',
add column `additional_email_addresses` text default null,
add foreign key (`voicemail_timezone_id`) references `ombu_voicemail_timezones` (`voicemail_timezone_id`) on delete set null,
-- adding the columns from ombu_followme
add column `fm_music_group_id` int(10) unsigned default null,
add column `followme_numbers` varchar(255) default null,
add column `fm_ringtime` int(11) not null default 30,
add column `ring_strategy` enum('one_by_one','ring_all') not null default 'one_by_one',
add column `call_from_prompt_id` int(10) unsigned default null,
add column `pls_hold_prompt_id` int(10) unsigned default null,
add column `status_prompt_id` int(10) unsigned default null,
add column `sorry_prompt_id` int(10) unsigned default null,
add column `norecording_prompt_id` int(10) unsigned default null,
add column `recname` enum('yes','no') default 'no',
add column `enable_callee_prompt` enum('no','yes') not null default 'no',
add foreign key (`pls_hold_prompt_id`) references `ombu_recordings` (`recording_id`) on delete set null,
add foreign key (`status_prompt_id`) references `ombu_recordings` (`recording_id`) on delete set null,
add foreign key (`sorry_prompt_id`) references `ombu_recordings` (`recording_id`) on delete set null,
add foreign key (`norecording_prompt_id`) references `ombu_recordings` (`recording_id`) on delete set null,
add foreign key (`fm_music_group_id`) references `ombu_music_groups` (`music_group_id`) on delete set null,
add foreign key (`call_from_prompt_id`) references `ombu_recordings` (`recording_id`) on delete set null;

-- copy the data from ombu_extensions_vm and ombu_followme to the added columns on ombu_extensions
update `ombu_extensions` x
left join `ombu_extensions_vm` xvm on x.`extension_id` = xvm.`extension_id`
left join `ombu_followme` xfm on x.`extension_id` = xfm.`extension_id`
set
x.`password` = xvm.`password`,
x.`alias` = xvm.`alias`,
x.`skip_instructions` = xvm.`skip_instructions`,
x.`attach` = xvm.`attach`,
x.`saycid` = xvm.`saycid`,
x.`sayduration` = xvm.`sayduration`,
x.`envelope` = xvm.`envelope`,
x.`delete` = xvm.`delete`,
x.`hidefromdir` = xvm.`hidefromdir`,
x.`enabled` = xvm.`enabled`,
x.`notifications` = xvm.`notifications`,
x.`additional_email_addresses` = xvm.`additional_email_addresses`,
x.`fm_music_group_id` = xfm.`fm_music_group_id`,
x.`followme_numbers` = xfm.`followme_numbers`,
x.`fm_ringtime` = xfm.`fm_ringtime`,
x.`ring_strategy` = xfm.`ring_strategy`,
x.`call_from_prompt_id` = xfm.`call_from_prompt_id`,
x.`pls_hold_prompt_id` = xfm.`pls_hold_prompt_id`,
x.`status_prompt_id` = xfm.`status_prompt_id`,
x.`sorry_prompt_id` = xfm.`sorry_prompt_id`,
x.`norecording_prompt_id` = xfm.`norecording_prompt_id`,
x.`recname` = xfm.`recname`,
x.`enable_callee_prompt` = xfm.`enable_callee_prompt`
where x.`extension_id` = xvm.`extension_id` and xvm.`extension_id` = xfm.`extension_id`;

drop table `ombu_followme`;
drop table `ombu_extensions_vm`;
