use `ombutel`;

-- Select Yealink brand id into a variable
select
    (select `brand_id` from `xepm_brands` where `name` = 'Yealink')
into @brand_yealink;

-- Select T31P, T33G, T43U, T48U model ids into variables
select
    (select `model_id` from `xepm_models` where `brand_id` = @brand_yealink and `name` = 'T31P'),
    (select `model_id` from `xepm_models` where `brand_id` = @brand_yealink and `name` = 'T33G'),
    (select `model_id` from `xepm_models` where `brand_id` = @brand_yealink and `name` = 'T43U'),
    (select `model_id` from `xepm_models` where `brand_id` = @brand_yealink and `name` = 'T48U')
into @model_t31p, @model_t33g, @model_t43u, @model_t48u;

-- Select T31P, T33G, T43U, T48U (v84) configuration ids into variables
select
    (select `configuration_type_id` from `xepm_configuration_types` where `model_id` = @model_t31p and `ident` = 'v84'),
    (select `configuration_type_id` from `xepm_configuration_types` where `model_id` = @model_t33g and `ident` = 'v84'),
    (select `configuration_type_id` from `xepm_configuration_types` where `model_id` = @model_t43u and `ident` = 'v84'),
    (select `configuration_type_id` from `xepm_configuration_types` where `model_id` = @model_t48u and `ident` = 'v84')
into @configuration_type_t31p, @configuration_type_t33g, @configuration_type_t43u, @configuration_type_t48u;

-- Select 'other' setting type id into a variable
select
    (select `setting_type_id` from `xepm_setting_types` where `ident` = 'other')
into @setting_type_other;

-- Insert programablekey parent_id setting into T31P, T33G, T43U, T48U (will be parent id of actual settings)
insert into `xepm_settings` (`parent_id`, `configuration_type_id`, `setting_type_id`, `name`, `default`)
values (null, @configuration_type_t31p, @setting_type_other, 'programablekey', '');
set @pk_parent_id_t31p = last_insert_id();

insert into `xepm_settings` (`parent_id`, `configuration_type_id`, `setting_type_id`, `name`, `default`)
values (null, @configuration_type_t33g, @setting_type_other, 'programablekey', '');
set @pk_parent_id_t33g = last_insert_id();

insert into `xepm_settings` (`parent_id`, `configuration_type_id`, `setting_type_id`, `name`, `default`)
values (null, @configuration_type_t43u, @setting_type_other, 'programablekey', '');
set @pk_parent_id_t43u = last_insert_id();

insert into `xepm_settings` (`parent_id`, `configuration_type_id`, `setting_type_id`, `name`, `default`)
values (null, @configuration_type_t48u, @setting_type_other, 'programablekey', '');
set @pk_parent_id_t48u = last_insert_id();

-- Insert actual programablekey settings for T31P
INSERT INTO `xepm_settings` (`parent_id`, `configuration_type_id`, `setting_type_id`, `name`, `default`) VALUES
(@pk_parent_id_t31p, @configuration_type_t31p, @setting_type_other, 'programablekey.1.type', ''),
(@pk_parent_id_t31p, @configuration_type_t31p, @setting_type_other, 'programablekey.1.line', ''),
(@pk_parent_id_t31p, @configuration_type_t31p, @setting_type_other, 'programablekey.1.value', ''),
(@pk_parent_id_t31p, @configuration_type_t31p, @setting_type_other, 'programablekey.1.pickup_value', ''),
(@pk_parent_id_t31p, @configuration_type_t31p, @setting_type_other, 'programablekey.1.xml_phonebook', ''),
(@pk_parent_id_t31p, @configuration_type_t31p, @setting_type_other, 'programablekey.1.history_type', ''),
(@pk_parent_id_t31p, @configuration_type_t31p, @setting_type_other, 'programablekey.1.label', ''),
(@pk_parent_id_t31p, @configuration_type_t31p, @setting_type_other, 'programablekey.1.extension', ''),
(@pk_parent_id_t31p, @configuration_type_t31p, @setting_type_other, 'programablekey.2.type', ''),
(@pk_parent_id_t31p, @configuration_type_t31p, @setting_type_other, 'programablekey.2.line', ''),
(@pk_parent_id_t31p, @configuration_type_t31p, @setting_type_other, 'programablekey.2.value', ''),
(@pk_parent_id_t31p, @configuration_type_t31p, @setting_type_other, 'programablekey.2.pickup_value', ''),
(@pk_parent_id_t31p, @configuration_type_t31p, @setting_type_other, 'programablekey.2.xml_phonebook', ''),
(@pk_parent_id_t31p, @configuration_type_t31p, @setting_type_other, 'programablekey.2.history_type', ''),
(@pk_parent_id_t31p, @configuration_type_t31p, @setting_type_other, 'programablekey.2.label', ''),
(@pk_parent_id_t31p, @configuration_type_t31p, @setting_type_other, 'programablekey.2.extension', ''),
(@pk_parent_id_t31p, @configuration_type_t31p, @setting_type_other, 'programablekey.3.type', ''),
(@pk_parent_id_t31p, @configuration_type_t31p, @setting_type_other, 'programablekey.3.line', ''),
(@pk_parent_id_t31p, @configuration_type_t31p, @setting_type_other, 'programablekey.3.value', ''),
(@pk_parent_id_t31p, @configuration_type_t31p, @setting_type_other, 'programablekey.3.pickup_value', ''),
(@pk_parent_id_t31p, @configuration_type_t31p, @setting_type_other, 'programablekey.3.xml_phonebook', ''),
(@pk_parent_id_t31p, @configuration_type_t31p, @setting_type_other, 'programablekey.3.history_type', ''),
(@pk_parent_id_t31p, @configuration_type_t31p, @setting_type_other, 'programablekey.3.label', ''),
(@pk_parent_id_t31p, @configuration_type_t31p, @setting_type_other, 'programablekey.3.extension', ''),
(@pk_parent_id_t31p, @configuration_type_t31p, @setting_type_other, 'programablekey.4.type', ''),
(@pk_parent_id_t31p, @configuration_type_t31p, @setting_type_other, 'programablekey.4.line', ''),
(@pk_parent_id_t31p, @configuration_type_t31p, @setting_type_other, 'programablekey.4.value', ''),
(@pk_parent_id_t31p, @configuration_type_t31p, @setting_type_other, 'programablekey.4.pickup_value', ''),
(@pk_parent_id_t31p, @configuration_type_t31p, @setting_type_other, 'programablekey.4.xml_phonebook', ''),
(@pk_parent_id_t31p, @configuration_type_t31p, @setting_type_other, 'programablekey.4.history_type', ''),
(@pk_parent_id_t31p, @configuration_type_t31p, @setting_type_other, 'programablekey.4.label', ''),
(@pk_parent_id_t31p, @configuration_type_t31p, @setting_type_other, 'programablekey.4.extension', ''),
(@pk_parent_id_t31p, @configuration_type_t31p, @setting_type_other, 'programablekey.5.type', ''),
(@pk_parent_id_t31p, @configuration_type_t31p, @setting_type_other, 'programablekey.5.line', ''),
(@pk_parent_id_t31p, @configuration_type_t31p, @setting_type_other, 'programablekey.5.value', ''),
(@pk_parent_id_t31p, @configuration_type_t31p, @setting_type_other, 'programablekey.5.pickup_value', ''),
(@pk_parent_id_t31p, @configuration_type_t31p, @setting_type_other, 'programablekey.5.xml_phonebook', ''),
(@pk_parent_id_t31p, @configuration_type_t31p, @setting_type_other, 'programablekey.5.history_type', ''),
(@pk_parent_id_t31p, @configuration_type_t31p, @setting_type_other, 'programablekey.5.label', ''),
(@pk_parent_id_t31p, @configuration_type_t31p, @setting_type_other, 'programablekey.5.extension', ''),
(@pk_parent_id_t31p, @configuration_type_t31p, @setting_type_other, 'programablekey.6.type', ''),
(@pk_parent_id_t31p, @configuration_type_t31p, @setting_type_other, 'programablekey.6.line', ''),
(@pk_parent_id_t31p, @configuration_type_t31p, @setting_type_other, 'programablekey.6.value', ''),
(@pk_parent_id_t31p, @configuration_type_t31p, @setting_type_other, 'programablekey.6.pickup_value', ''),
(@pk_parent_id_t31p, @configuration_type_t31p, @setting_type_other, 'programablekey.6.xml_phonebook', ''),
(@pk_parent_id_t31p, @configuration_type_t31p, @setting_type_other, 'programablekey.6.history_type', ''),
(@pk_parent_id_t31p, @configuration_type_t31p, @setting_type_other, 'programablekey.6.label', ''),
(@pk_parent_id_t31p, @configuration_type_t31p, @setting_type_other, 'programablekey.6.extension', ''),
(@pk_parent_id_t31p, @configuration_type_t31p, @setting_type_other, 'programablekey.7.type', ''),
(@pk_parent_id_t31p, @configuration_type_t31p, @setting_type_other, 'programablekey.7.line', ''),
(@pk_parent_id_t31p, @configuration_type_t31p, @setting_type_other, 'programablekey.7.value', ''),
(@pk_parent_id_t31p, @configuration_type_t31p, @setting_type_other, 'programablekey.7.pickup_value', ''),
(@pk_parent_id_t31p, @configuration_type_t31p, @setting_type_other, 'programablekey.7.xml_phonebook', ''),
(@pk_parent_id_t31p, @configuration_type_t31p, @setting_type_other, 'programablekey.7.history_type', ''),
(@pk_parent_id_t31p, @configuration_type_t31p, @setting_type_other, 'programablekey.7.label', ''),
(@pk_parent_id_t31p, @configuration_type_t31p, @setting_type_other, 'programablekey.7.extension', ''),
(@pk_parent_id_t31p, @configuration_type_t31p, @setting_type_other, 'programablekey.8.type', ''),
(@pk_parent_id_t31p, @configuration_type_t31p, @setting_type_other, 'programablekey.8.line', ''),
(@pk_parent_id_t31p, @configuration_type_t31p, @setting_type_other, 'programablekey.8.value', ''),
(@pk_parent_id_t31p, @configuration_type_t31p, @setting_type_other, 'programablekey.8.pickup_value', ''),
(@pk_parent_id_t31p, @configuration_type_t31p, @setting_type_other, 'programablekey.8.xml_phonebook', ''),
(@pk_parent_id_t31p, @configuration_type_t31p, @setting_type_other, 'programablekey.8.history_type', ''),
(@pk_parent_id_t31p, @configuration_type_t31p, @setting_type_other, 'programablekey.8.label', ''),
(@pk_parent_id_t31p, @configuration_type_t31p, @setting_type_other, 'programablekey.8.extension', ''),
(@pk_parent_id_t31p, @configuration_type_t31p, @setting_type_other, 'programablekey.9.type', ''),
(@pk_parent_id_t31p, @configuration_type_t31p, @setting_type_other, 'programablekey.9.line', ''),
(@pk_parent_id_t31p, @configuration_type_t31p, @setting_type_other, 'programablekey.9.value', ''),
(@pk_parent_id_t31p, @configuration_type_t31p, @setting_type_other, 'programablekey.9.pickup_value', ''),
(@pk_parent_id_t31p, @configuration_type_t31p, @setting_type_other, 'programablekey.9.xml_phonebook', ''),
(@pk_parent_id_t31p, @configuration_type_t31p, @setting_type_other, 'programablekey.9.history_type', ''),
(@pk_parent_id_t31p, @configuration_type_t31p, @setting_type_other, 'programablekey.9.label', ''),
(@pk_parent_id_t31p, @configuration_type_t31p, @setting_type_other, 'programablekey.9.extension', ''),
(@pk_parent_id_t31p, @configuration_type_t31p, @setting_type_other, 'programablekey.13.type', ''),
(@pk_parent_id_t31p, @configuration_type_t31p, @setting_type_other, 'programablekey.13.line', ''),
(@pk_parent_id_t31p, @configuration_type_t31p, @setting_type_other, 'programablekey.13.value', ''),
(@pk_parent_id_t31p, @configuration_type_t31p, @setting_type_other, 'programablekey.13.pickup_value', ''),
(@pk_parent_id_t31p, @configuration_type_t31p, @setting_type_other, 'programablekey.13.xml_phonebook', ''),
(@pk_parent_id_t31p, @configuration_type_t31p, @setting_type_other, 'programablekey.13.history_type', ''),
(@pk_parent_id_t31p, @configuration_type_t31p, @setting_type_other, 'programablekey.13.label', ''),
(@pk_parent_id_t31p, @configuration_type_t31p, @setting_type_other, 'programablekey.13.extension', ''),
(@pk_parent_id_t31p, @configuration_type_t31p, @setting_type_other, 'programablekey.14.type', ''),
(@pk_parent_id_t31p, @configuration_type_t31p, @setting_type_other, 'programablekey.14.line', ''),
(@pk_parent_id_t31p, @configuration_type_t31p, @setting_type_other, 'programablekey.14.value', ''),
(@pk_parent_id_t31p, @configuration_type_t31p, @setting_type_other, 'programablekey.14.pickup_value', ''),
(@pk_parent_id_t31p, @configuration_type_t31p, @setting_type_other, 'programablekey.14.xml_phonebook', ''),
(@pk_parent_id_t31p, @configuration_type_t31p, @setting_type_other, 'programablekey.14.history_type', ''),
(@pk_parent_id_t31p, @configuration_type_t31p, @setting_type_other, 'programablekey.14.label', ''),
(@pk_parent_id_t31p, @configuration_type_t31p, @setting_type_other, 'programablekey.14.extension', ''),
(@pk_parent_id_t31p, @configuration_type_t31p, @setting_type_other, 'programablekey.17.type', ''),
(@pk_parent_id_t31p, @configuration_type_t31p, @setting_type_other, 'programablekey.17.line', ''),
(@pk_parent_id_t31p, @configuration_type_t31p, @setting_type_other, 'programablekey.17.value', ''),
(@pk_parent_id_t31p, @configuration_type_t31p, @setting_type_other, 'programablekey.17.pickup_value', ''),
(@pk_parent_id_t31p, @configuration_type_t31p, @setting_type_other, 'programablekey.17.xml_phonebook', ''),
(@pk_parent_id_t31p, @configuration_type_t31p, @setting_type_other, 'programablekey.17.history_type', ''),
(@pk_parent_id_t31p, @configuration_type_t31p, @setting_type_other, 'programablekey.17.label', ''),
(@pk_parent_id_t31p, @configuration_type_t31p, @setting_type_other, 'programablekey.17.extension', ''),
(@pk_parent_id_t31p, @configuration_type_t31p, @setting_type_other, 'programablekey.18.type', ''),
(@pk_parent_id_t31p, @configuration_type_t31p, @setting_type_other, 'programablekey.18.line', ''),
(@pk_parent_id_t31p, @configuration_type_t31p, @setting_type_other, 'programablekey.18.value', ''),
(@pk_parent_id_t31p, @configuration_type_t31p, @setting_type_other, 'programablekey.18.pickup_value', ''),
(@pk_parent_id_t31p, @configuration_type_t31p, @setting_type_other, 'programablekey.18.xml_phonebook', ''),
(@pk_parent_id_t31p, @configuration_type_t31p, @setting_type_other, 'programablekey.18.history_type', ''),
(@pk_parent_id_t31p, @configuration_type_t31p, @setting_type_other, 'programablekey.18.label', ''),
(@pk_parent_id_t31p, @configuration_type_t31p, @setting_type_other, 'programablekey.18.extension', '');

-- Insert actual programablekey settings for T33G
INSERT INTO `xepm_settings` (`parent_id`, `configuration_type_id`, `setting_type_id`, `name`, `default`) VALUES
(@pk_parent_id_t33g, @configuration_type_t33g, @setting_type_other, 'programablekey.1.type', ''),
(@pk_parent_id_t33g, @configuration_type_t33g, @setting_type_other, 'programablekey.1.line', ''),
(@pk_parent_id_t33g, @configuration_type_t33g, @setting_type_other, 'programablekey.1.value', ''),
(@pk_parent_id_t33g, @configuration_type_t33g, @setting_type_other, 'programablekey.1.pickup_value', ''),
(@pk_parent_id_t33g, @configuration_type_t33g, @setting_type_other, 'programablekey.1.xml_phonebook', ''),
(@pk_parent_id_t33g, @configuration_type_t33g, @setting_type_other, 'programablekey.1.history_type', ''),
(@pk_parent_id_t33g, @configuration_type_t33g, @setting_type_other, 'programablekey.1.label', ''),
(@pk_parent_id_t33g, @configuration_type_t33g, @setting_type_other, 'programablekey.1.extension', ''),
(@pk_parent_id_t33g, @configuration_type_t33g, @setting_type_other, 'programablekey.2.type', ''),
(@pk_parent_id_t33g, @configuration_type_t33g, @setting_type_other, 'programablekey.2.line', ''),
(@pk_parent_id_t33g, @configuration_type_t33g, @setting_type_other, 'programablekey.2.value', ''),
(@pk_parent_id_t33g, @configuration_type_t33g, @setting_type_other, 'programablekey.2.pickup_value', ''),
(@pk_parent_id_t33g, @configuration_type_t33g, @setting_type_other, 'programablekey.2.xml_phonebook', ''),
(@pk_parent_id_t33g, @configuration_type_t33g, @setting_type_other, 'programablekey.2.history_type', ''),
(@pk_parent_id_t33g, @configuration_type_t33g, @setting_type_other, 'programablekey.2.label', ''),
(@pk_parent_id_t33g, @configuration_type_t33g, @setting_type_other, 'programablekey.2.extension', ''),
(@pk_parent_id_t33g, @configuration_type_t33g, @setting_type_other, 'programablekey.3.type', ''),
(@pk_parent_id_t33g, @configuration_type_t33g, @setting_type_other, 'programablekey.3.line', ''),
(@pk_parent_id_t33g, @configuration_type_t33g, @setting_type_other, 'programablekey.3.value', ''),
(@pk_parent_id_t33g, @configuration_type_t33g, @setting_type_other, 'programablekey.3.pickup_value', ''),
(@pk_parent_id_t33g, @configuration_type_t33g, @setting_type_other, 'programablekey.3.xml_phonebook', ''),
(@pk_parent_id_t33g, @configuration_type_t33g, @setting_type_other, 'programablekey.3.history_type', ''),
(@pk_parent_id_t33g, @configuration_type_t33g, @setting_type_other, 'programablekey.3.label', ''),
(@pk_parent_id_t33g, @configuration_type_t33g, @setting_type_other, 'programablekey.3.extension', ''),
(@pk_parent_id_t33g, @configuration_type_t33g, @setting_type_other, 'programablekey.4.type', ''),
(@pk_parent_id_t33g, @configuration_type_t33g, @setting_type_other, 'programablekey.4.line', ''),
(@pk_parent_id_t33g, @configuration_type_t33g, @setting_type_other, 'programablekey.4.value', ''),
(@pk_parent_id_t33g, @configuration_type_t33g, @setting_type_other, 'programablekey.4.pickup_value', ''),
(@pk_parent_id_t33g, @configuration_type_t33g, @setting_type_other, 'programablekey.4.xml_phonebook', ''),
(@pk_parent_id_t33g, @configuration_type_t33g, @setting_type_other, 'programablekey.4.history_type', ''),
(@pk_parent_id_t33g, @configuration_type_t33g, @setting_type_other, 'programablekey.4.label', ''),
(@pk_parent_id_t33g, @configuration_type_t33g, @setting_type_other, 'programablekey.4.extension', ''),
(@pk_parent_id_t33g, @configuration_type_t33g, @setting_type_other, 'programablekey.5.type', ''),
(@pk_parent_id_t33g, @configuration_type_t33g, @setting_type_other, 'programablekey.5.line', ''),
(@pk_parent_id_t33g, @configuration_type_t33g, @setting_type_other, 'programablekey.5.value', ''),
(@pk_parent_id_t33g, @configuration_type_t33g, @setting_type_other, 'programablekey.5.pickup_value', ''),
(@pk_parent_id_t33g, @configuration_type_t33g, @setting_type_other, 'programablekey.5.xml_phonebook', ''),
(@pk_parent_id_t33g, @configuration_type_t33g, @setting_type_other, 'programablekey.5.history_type', ''),
(@pk_parent_id_t33g, @configuration_type_t33g, @setting_type_other, 'programablekey.5.label', ''),
(@pk_parent_id_t33g, @configuration_type_t33g, @setting_type_other, 'programablekey.5.extension', ''),
(@pk_parent_id_t33g, @configuration_type_t33g, @setting_type_other, 'programablekey.6.type', ''),
(@pk_parent_id_t33g, @configuration_type_t33g, @setting_type_other, 'programablekey.6.line', ''),
(@pk_parent_id_t33g, @configuration_type_t33g, @setting_type_other, 'programablekey.6.value', ''),
(@pk_parent_id_t33g, @configuration_type_t33g, @setting_type_other, 'programablekey.6.pickup_value', ''),
(@pk_parent_id_t33g, @configuration_type_t33g, @setting_type_other, 'programablekey.6.xml_phonebook', ''),
(@pk_parent_id_t33g, @configuration_type_t33g, @setting_type_other, 'programablekey.6.history_type', ''),
(@pk_parent_id_t33g, @configuration_type_t33g, @setting_type_other, 'programablekey.6.label', ''),
(@pk_parent_id_t33g, @configuration_type_t33g, @setting_type_other, 'programablekey.6.extension', ''),
(@pk_parent_id_t33g, @configuration_type_t33g, @setting_type_other, 'programablekey.7.type', ''),
(@pk_parent_id_t33g, @configuration_type_t33g, @setting_type_other, 'programablekey.7.line', ''),
(@pk_parent_id_t33g, @configuration_type_t33g, @setting_type_other, 'programablekey.7.value', ''),
(@pk_parent_id_t33g, @configuration_type_t33g, @setting_type_other, 'programablekey.7.pickup_value', ''),
(@pk_parent_id_t33g, @configuration_type_t33g, @setting_type_other, 'programablekey.7.xml_phonebook', ''),
(@pk_parent_id_t33g, @configuration_type_t33g, @setting_type_other, 'programablekey.7.history_type', ''),
(@pk_parent_id_t33g, @configuration_type_t33g, @setting_type_other, 'programablekey.7.label', ''),
(@pk_parent_id_t33g, @configuration_type_t33g, @setting_type_other, 'programablekey.7.extension', ''),
(@pk_parent_id_t33g, @configuration_type_t33g, @setting_type_other, 'programablekey.8.type', ''),
(@pk_parent_id_t33g, @configuration_type_t33g, @setting_type_other, 'programablekey.8.line', ''),
(@pk_parent_id_t33g, @configuration_type_t33g, @setting_type_other, 'programablekey.8.value', ''),
(@pk_parent_id_t33g, @configuration_type_t33g, @setting_type_other, 'programablekey.8.pickup_value', ''),
(@pk_parent_id_t33g, @configuration_type_t33g, @setting_type_other, 'programablekey.8.xml_phonebook', ''),
(@pk_parent_id_t33g, @configuration_type_t33g, @setting_type_other, 'programablekey.8.history_type', ''),
(@pk_parent_id_t33g, @configuration_type_t33g, @setting_type_other, 'programablekey.8.label', ''),
(@pk_parent_id_t33g, @configuration_type_t33g, @setting_type_other, 'programablekey.8.extension', ''),
(@pk_parent_id_t33g, @configuration_type_t33g, @setting_type_other, 'programablekey.9.type', ''),
(@pk_parent_id_t33g, @configuration_type_t33g, @setting_type_other, 'programablekey.9.line', ''),
(@pk_parent_id_t33g, @configuration_type_t33g, @setting_type_other, 'programablekey.9.value', ''),
(@pk_parent_id_t33g, @configuration_type_t33g, @setting_type_other, 'programablekey.9.pickup_value', ''),
(@pk_parent_id_t33g, @configuration_type_t33g, @setting_type_other, 'programablekey.9.xml_phonebook', ''),
(@pk_parent_id_t33g, @configuration_type_t33g, @setting_type_other, 'programablekey.9.history_type', ''),
(@pk_parent_id_t33g, @configuration_type_t33g, @setting_type_other, 'programablekey.9.label', ''),
(@pk_parent_id_t33g, @configuration_type_t33g, @setting_type_other, 'programablekey.9.extension', ''),
(@pk_parent_id_t33g, @configuration_type_t33g, @setting_type_other, 'programablekey.10.type', ''),
(@pk_parent_id_t33g, @configuration_type_t33g, @setting_type_other, 'programablekey.10.line', ''),
(@pk_parent_id_t33g, @configuration_type_t33g, @setting_type_other, 'programablekey.10.value', ''),
(@pk_parent_id_t33g, @configuration_type_t33g, @setting_type_other, 'programablekey.10.pickup_value', ''),
(@pk_parent_id_t33g, @configuration_type_t33g, @setting_type_other, 'programablekey.10.xml_phonebook', ''),
(@pk_parent_id_t33g, @configuration_type_t33g, @setting_type_other, 'programablekey.10.history_type', ''),
(@pk_parent_id_t33g, @configuration_type_t33g, @setting_type_other, 'programablekey.10.label', ''),
(@pk_parent_id_t33g, @configuration_type_t33g, @setting_type_other, 'programablekey.10.extension', ''),
(@pk_parent_id_t33g, @configuration_type_t33g, @setting_type_other, 'programablekey.13.type', ''),
(@pk_parent_id_t33g, @configuration_type_t33g, @setting_type_other, 'programablekey.13.line', ''),
(@pk_parent_id_t33g, @configuration_type_t33g, @setting_type_other, 'programablekey.13.value', ''),
(@pk_parent_id_t33g, @configuration_type_t33g, @setting_type_other, 'programablekey.13.pickup_value', ''),
(@pk_parent_id_t33g, @configuration_type_t33g, @setting_type_other, 'programablekey.13.xml_phonebook', ''),
(@pk_parent_id_t33g, @configuration_type_t33g, @setting_type_other, 'programablekey.13.history_type', ''),
(@pk_parent_id_t33g, @configuration_type_t33g, @setting_type_other, 'programablekey.13.label', ''),
(@pk_parent_id_t33g, @configuration_type_t33g, @setting_type_other, 'programablekey.13.extension', ''),
(@pk_parent_id_t33g, @configuration_type_t33g, @setting_type_other, 'programablekey.17.type', ''),
(@pk_parent_id_t33g, @configuration_type_t33g, @setting_type_other, 'programablekey.17.line', ''),
(@pk_parent_id_t33g, @configuration_type_t33g, @setting_type_other, 'programablekey.17.value', ''),
(@pk_parent_id_t33g, @configuration_type_t33g, @setting_type_other, 'programablekey.17.pickup_value', ''),
(@pk_parent_id_t33g, @configuration_type_t33g, @setting_type_other, 'programablekey.17.xml_phonebook', ''),
(@pk_parent_id_t33g, @configuration_type_t33g, @setting_type_other, 'programablekey.17.history_type', ''),
(@pk_parent_id_t33g, @configuration_type_t33g, @setting_type_other, 'programablekey.17.label', ''),
(@pk_parent_id_t33g, @configuration_type_t33g, @setting_type_other, 'programablekey.17.extension', ''),
(@pk_parent_id_t33g, @configuration_type_t33g, @setting_type_other, 'programablekey.18.type', ''),
(@pk_parent_id_t33g, @configuration_type_t33g, @setting_type_other, 'programablekey.18.line', ''),
(@pk_parent_id_t33g, @configuration_type_t33g, @setting_type_other, 'programablekey.18.value', ''),
(@pk_parent_id_t33g, @configuration_type_t33g, @setting_type_other, 'programablekey.18.pickup_value', ''),
(@pk_parent_id_t33g, @configuration_type_t33g, @setting_type_other, 'programablekey.18.xml_phonebook', ''),
(@pk_parent_id_t33g, @configuration_type_t33g, @setting_type_other, 'programablekey.18.history_type', ''),
(@pk_parent_id_t33g, @configuration_type_t33g, @setting_type_other, 'programablekey.18.label', ''),
(@pk_parent_id_t33g, @configuration_type_t33g, @setting_type_other, 'programablekey.18.extension', '');

-- Insert actual programablekey settings for T43U
INSERT INTO `xepm_settings` (`parent_id`, `configuration_type_id`, `setting_type_id`, `name`, `default`) VALUES
(@pk_parent_id_t43u, @configuration_type_t43u, @setting_type_other, 'programablekey.1.type', ''),
(@pk_parent_id_t43u, @configuration_type_t43u, @setting_type_other, 'programablekey.1.line', ''),
(@pk_parent_id_t43u, @configuration_type_t43u, @setting_type_other, 'programablekey.1.value', ''),
(@pk_parent_id_t43u, @configuration_type_t43u, @setting_type_other, 'programablekey.1.pickup_value', ''),
(@pk_parent_id_t43u, @configuration_type_t43u, @setting_type_other, 'programablekey.1.xml_phonebook', ''),
(@pk_parent_id_t43u, @configuration_type_t43u, @setting_type_other, 'programablekey.1.history_type', ''),
(@pk_parent_id_t43u, @configuration_type_t43u, @setting_type_other, 'programablekey.1.label', ''),
(@pk_parent_id_t43u, @configuration_type_t43u, @setting_type_other, 'programablekey.1.extension', ''),
(@pk_parent_id_t43u, @configuration_type_t43u, @setting_type_other, 'programablekey.2.type', ''),
(@pk_parent_id_t43u, @configuration_type_t43u, @setting_type_other, 'programablekey.2.line', ''),
(@pk_parent_id_t43u, @configuration_type_t43u, @setting_type_other, 'programablekey.2.value', ''),
(@pk_parent_id_t43u, @configuration_type_t43u, @setting_type_other, 'programablekey.2.pickup_value', ''),
(@pk_parent_id_t43u, @configuration_type_t43u, @setting_type_other, 'programablekey.2.xml_phonebook', ''),
(@pk_parent_id_t43u, @configuration_type_t43u, @setting_type_other, 'programablekey.2.history_type', ''),
(@pk_parent_id_t43u, @configuration_type_t43u, @setting_type_other, 'programablekey.2.label', ''),
(@pk_parent_id_t43u, @configuration_type_t43u, @setting_type_other, 'programablekey.2.extension', ''),
(@pk_parent_id_t43u, @configuration_type_t43u, @setting_type_other, 'programablekey.3.type', ''),
(@pk_parent_id_t43u, @configuration_type_t43u, @setting_type_other, 'programablekey.3.line', ''),
(@pk_parent_id_t43u, @configuration_type_t43u, @setting_type_other, 'programablekey.3.value', ''),
(@pk_parent_id_t43u, @configuration_type_t43u, @setting_type_other, 'programablekey.3.pickup_value', ''),
(@pk_parent_id_t43u, @configuration_type_t43u, @setting_type_other, 'programablekey.3.xml_phonebook', ''),
(@pk_parent_id_t43u, @configuration_type_t43u, @setting_type_other, 'programablekey.3.history_type', ''),
(@pk_parent_id_t43u, @configuration_type_t43u, @setting_type_other, 'programablekey.3.label', ''),
(@pk_parent_id_t43u, @configuration_type_t43u, @setting_type_other, 'programablekey.3.extension', ''),
(@pk_parent_id_t43u, @configuration_type_t43u, @setting_type_other, 'programablekey.4.type', ''),
(@pk_parent_id_t43u, @configuration_type_t43u, @setting_type_other, 'programablekey.4.line', ''),
(@pk_parent_id_t43u, @configuration_type_t43u, @setting_type_other, 'programablekey.4.value', ''),
(@pk_parent_id_t43u, @configuration_type_t43u, @setting_type_other, 'programablekey.4.pickup_value', ''),
(@pk_parent_id_t43u, @configuration_type_t43u, @setting_type_other, 'programablekey.4.xml_phonebook', ''),
(@pk_parent_id_t43u, @configuration_type_t43u, @setting_type_other, 'programablekey.4.history_type', ''),
(@pk_parent_id_t43u, @configuration_type_t43u, @setting_type_other, 'programablekey.4.label', ''),
(@pk_parent_id_t43u, @configuration_type_t43u, @setting_type_other, 'programablekey.4.extension', ''),
(@pk_parent_id_t43u, @configuration_type_t43u, @setting_type_other, 'programablekey.5.type', ''),
(@pk_parent_id_t43u, @configuration_type_t43u, @setting_type_other, 'programablekey.5.line', ''),
(@pk_parent_id_t43u, @configuration_type_t43u, @setting_type_other, 'programablekey.5.value', ''),
(@pk_parent_id_t43u, @configuration_type_t43u, @setting_type_other, 'programablekey.5.pickup_value', ''),
(@pk_parent_id_t43u, @configuration_type_t43u, @setting_type_other, 'programablekey.5.xml_phonebook', ''),
(@pk_parent_id_t43u, @configuration_type_t43u, @setting_type_other, 'programablekey.5.history_type', ''),
(@pk_parent_id_t43u, @configuration_type_t43u, @setting_type_other, 'programablekey.5.label', ''),
(@pk_parent_id_t43u, @configuration_type_t43u, @setting_type_other, 'programablekey.5.extension', ''),
(@pk_parent_id_t43u, @configuration_type_t43u, @setting_type_other, 'programablekey.6.type', ''),
(@pk_parent_id_t43u, @configuration_type_t43u, @setting_type_other, 'programablekey.6.line', ''),
(@pk_parent_id_t43u, @configuration_type_t43u, @setting_type_other, 'programablekey.6.value', ''),
(@pk_parent_id_t43u, @configuration_type_t43u, @setting_type_other, 'programablekey.6.pickup_value', ''),
(@pk_parent_id_t43u, @configuration_type_t43u, @setting_type_other, 'programablekey.6.xml_phonebook', ''),
(@pk_parent_id_t43u, @configuration_type_t43u, @setting_type_other, 'programablekey.6.history_type', ''),
(@pk_parent_id_t43u, @configuration_type_t43u, @setting_type_other, 'programablekey.6.label', ''),
(@pk_parent_id_t43u, @configuration_type_t43u, @setting_type_other, 'programablekey.6.extension', ''),
(@pk_parent_id_t43u, @configuration_type_t43u, @setting_type_other, 'programablekey.7.type', ''),
(@pk_parent_id_t43u, @configuration_type_t43u, @setting_type_other, 'programablekey.7.line', ''),
(@pk_parent_id_t43u, @configuration_type_t43u, @setting_type_other, 'programablekey.7.value', ''),
(@pk_parent_id_t43u, @configuration_type_t43u, @setting_type_other, 'programablekey.7.pickup_value', ''),
(@pk_parent_id_t43u, @configuration_type_t43u, @setting_type_other, 'programablekey.7.xml_phonebook', ''),
(@pk_parent_id_t43u, @configuration_type_t43u, @setting_type_other, 'programablekey.7.history_type', ''),
(@pk_parent_id_t43u, @configuration_type_t43u, @setting_type_other, 'programablekey.7.label', ''),
(@pk_parent_id_t43u, @configuration_type_t43u, @setting_type_other, 'programablekey.7.extension', ''),
(@pk_parent_id_t43u, @configuration_type_t43u, @setting_type_other, 'programablekey.8.type', ''),
(@pk_parent_id_t43u, @configuration_type_t43u, @setting_type_other, 'programablekey.8.line', ''),
(@pk_parent_id_t43u, @configuration_type_t43u, @setting_type_other, 'programablekey.8.value', ''),
(@pk_parent_id_t43u, @configuration_type_t43u, @setting_type_other, 'programablekey.8.pickup_value', ''),
(@pk_parent_id_t43u, @configuration_type_t43u, @setting_type_other, 'programablekey.8.xml_phonebook', ''),
(@pk_parent_id_t43u, @configuration_type_t43u, @setting_type_other, 'programablekey.8.history_type', ''),
(@pk_parent_id_t43u, @configuration_type_t43u, @setting_type_other, 'programablekey.8.label', ''),
(@pk_parent_id_t43u, @configuration_type_t43u, @setting_type_other, 'programablekey.8.extension', ''),
(@pk_parent_id_t43u, @configuration_type_t43u, @setting_type_other, 'programablekey.9.type', ''),
(@pk_parent_id_t43u, @configuration_type_t43u, @setting_type_other, 'programablekey.9.line', ''),
(@pk_parent_id_t43u, @configuration_type_t43u, @setting_type_other, 'programablekey.9.value', ''),
(@pk_parent_id_t43u, @configuration_type_t43u, @setting_type_other, 'programablekey.9.pickup_value', ''),
(@pk_parent_id_t43u, @configuration_type_t43u, @setting_type_other, 'programablekey.9.xml_phonebook', ''),
(@pk_parent_id_t43u, @configuration_type_t43u, @setting_type_other, 'programablekey.9.history_type', ''),
(@pk_parent_id_t43u, @configuration_type_t43u, @setting_type_other, 'programablekey.9.label', ''),
(@pk_parent_id_t43u, @configuration_type_t43u, @setting_type_other, 'programablekey.9.extension', ''),
(@pk_parent_id_t43u, @configuration_type_t43u, @setting_type_other, 'programablekey.10.type', ''),
(@pk_parent_id_t43u, @configuration_type_t43u, @setting_type_other, 'programablekey.10.line', ''),
(@pk_parent_id_t43u, @configuration_type_t43u, @setting_type_other, 'programablekey.10.value', ''),
(@pk_parent_id_t43u, @configuration_type_t43u, @setting_type_other, 'programablekey.10.pickup_value', ''),
(@pk_parent_id_t43u, @configuration_type_t43u, @setting_type_other, 'programablekey.10.xml_phonebook', ''),
(@pk_parent_id_t43u, @configuration_type_t43u, @setting_type_other, 'programablekey.10.history_type', ''),
(@pk_parent_id_t43u, @configuration_type_t43u, @setting_type_other, 'programablekey.10.label', ''),
(@pk_parent_id_t43u, @configuration_type_t43u, @setting_type_other, 'programablekey.10.extension', ''),
(@pk_parent_id_t43u, @configuration_type_t43u, @setting_type_other, 'programablekey.13.type', ''),
(@pk_parent_id_t43u, @configuration_type_t43u, @setting_type_other, 'programablekey.13.line', ''),
(@pk_parent_id_t43u, @configuration_type_t43u, @setting_type_other, 'programablekey.13.value', ''),
(@pk_parent_id_t43u, @configuration_type_t43u, @setting_type_other, 'programablekey.13.pickup_value', ''),
(@pk_parent_id_t43u, @configuration_type_t43u, @setting_type_other, 'programablekey.13.xml_phonebook', ''),
(@pk_parent_id_t43u, @configuration_type_t43u, @setting_type_other, 'programablekey.13.history_type', ''),
(@pk_parent_id_t43u, @configuration_type_t43u, @setting_type_other, 'programablekey.13.label', ''),
(@pk_parent_id_t43u, @configuration_type_t43u, @setting_type_other, 'programablekey.13.extension', ''),
(@pk_parent_id_t43u, @configuration_type_t43u, @setting_type_other, 'programablekey.17.type', ''),
(@pk_parent_id_t43u, @configuration_type_t43u, @setting_type_other, 'programablekey.17.line', ''),
(@pk_parent_id_t43u, @configuration_type_t43u, @setting_type_other, 'programablekey.17.value', ''),
(@pk_parent_id_t43u, @configuration_type_t43u, @setting_type_other, 'programablekey.17.pickup_value', ''),
(@pk_parent_id_t43u, @configuration_type_t43u, @setting_type_other, 'programablekey.17.xml_phonebook', ''),
(@pk_parent_id_t43u, @configuration_type_t43u, @setting_type_other, 'programablekey.17.history_type', ''),
(@pk_parent_id_t43u, @configuration_type_t43u, @setting_type_other, 'programablekey.17.label', ''),
(@pk_parent_id_t43u, @configuration_type_t43u, @setting_type_other, 'programablekey.17.extension', ''),
(@pk_parent_id_t43u, @configuration_type_t43u, @setting_type_other, 'programablekey.18.type', ''),
(@pk_parent_id_t43u, @configuration_type_t43u, @setting_type_other, 'programablekey.18.line', ''),
(@pk_parent_id_t43u, @configuration_type_t43u, @setting_type_other, 'programablekey.18.value', ''),
(@pk_parent_id_t43u, @configuration_type_t43u, @setting_type_other, 'programablekey.18.pickup_value', ''),
(@pk_parent_id_t43u, @configuration_type_t43u, @setting_type_other, 'programablekey.18.xml_phonebook', ''),
(@pk_parent_id_t43u, @configuration_type_t43u, @setting_type_other, 'programablekey.18.history_type', ''),
(@pk_parent_id_t43u, @configuration_type_t43u, @setting_type_other, 'programablekey.18.label', ''),
(@pk_parent_id_t43u, @configuration_type_t43u, @setting_type_other, 'programablekey.18.extension', '');

-- Insert actual programablekey settings for T48U
INSERT INTO `xepm_settings` (`parent_id`, `configuration_type_id`, `setting_type_id`, `name`, `default`) VALUES
(@pk_parent_id_t48u, @configuration_type_t48u, @setting_type_other, 'programablekey.1.type', ''),
(@pk_parent_id_t48u, @configuration_type_t48u, @setting_type_other, 'programablekey.1.line', ''),
(@pk_parent_id_t48u, @configuration_type_t48u, @setting_type_other, 'programablekey.1.value', ''),
(@pk_parent_id_t48u, @configuration_type_t48u, @setting_type_other, 'programablekey.1.pickup_value', ''),
(@pk_parent_id_t48u, @configuration_type_t48u, @setting_type_other, 'programablekey.1.xml_phonebook', ''),
(@pk_parent_id_t48u, @configuration_type_t48u, @setting_type_other, 'programablekey.1.history_type', ''),
(@pk_parent_id_t48u, @configuration_type_t48u, @setting_type_other, 'programablekey.1.label', ''),
(@pk_parent_id_t48u, @configuration_type_t48u, @setting_type_other, 'programablekey.1.extension', ''),
(@pk_parent_id_t48u, @configuration_type_t48u, @setting_type_other, 'programablekey.2.type', ''),
(@pk_parent_id_t48u, @configuration_type_t48u, @setting_type_other, 'programablekey.2.line', ''),
(@pk_parent_id_t48u, @configuration_type_t48u, @setting_type_other, 'programablekey.2.value', ''),
(@pk_parent_id_t48u, @configuration_type_t48u, @setting_type_other, 'programablekey.2.pickup_value', ''),
(@pk_parent_id_t48u, @configuration_type_t48u, @setting_type_other, 'programablekey.2.xml_phonebook', ''),
(@pk_parent_id_t48u, @configuration_type_t48u, @setting_type_other, 'programablekey.2.history_type', ''),
(@pk_parent_id_t48u, @configuration_type_t48u, @setting_type_other, 'programablekey.2.label', ''),
(@pk_parent_id_t48u, @configuration_type_t48u, @setting_type_other, 'programablekey.2.extension', ''),
(@pk_parent_id_t48u, @configuration_type_t48u, @setting_type_other, 'programablekey.3.type', ''),
(@pk_parent_id_t48u, @configuration_type_t48u, @setting_type_other, 'programablekey.3.line', ''),
(@pk_parent_id_t48u, @configuration_type_t48u, @setting_type_other, 'programablekey.3.value', ''),
(@pk_parent_id_t48u, @configuration_type_t48u, @setting_type_other, 'programablekey.3.pickup_value', ''),
(@pk_parent_id_t48u, @configuration_type_t48u, @setting_type_other, 'programablekey.3.xml_phonebook', ''),
(@pk_parent_id_t48u, @configuration_type_t48u, @setting_type_other, 'programablekey.3.history_type', ''),
(@pk_parent_id_t48u, @configuration_type_t48u, @setting_type_other, 'programablekey.3.label', ''),
(@pk_parent_id_t48u, @configuration_type_t48u, @setting_type_other, 'programablekey.3.extension', ''),
(@pk_parent_id_t48u, @configuration_type_t48u, @setting_type_other, 'programablekey.4.type', ''),
(@pk_parent_id_t48u, @configuration_type_t48u, @setting_type_other, 'programablekey.4.line', ''),
(@pk_parent_id_t48u, @configuration_type_t48u, @setting_type_other, 'programablekey.4.value', ''),
(@pk_parent_id_t48u, @configuration_type_t48u, @setting_type_other, 'programablekey.4.pickup_value', ''),
(@pk_parent_id_t48u, @configuration_type_t48u, @setting_type_other, 'programablekey.4.xml_phonebook', ''),
(@pk_parent_id_t48u, @configuration_type_t48u, @setting_type_other, 'programablekey.4.history_type', ''),
(@pk_parent_id_t48u, @configuration_type_t48u, @setting_type_other, 'programablekey.4.label', ''),
(@pk_parent_id_t48u, @configuration_type_t48u, @setting_type_other, 'programablekey.4.extension', ''),
(@pk_parent_id_t48u, @configuration_type_t48u, @setting_type_other, 'programablekey.5.type', ''),
(@pk_parent_id_t48u, @configuration_type_t48u, @setting_type_other, 'programablekey.5.line', ''),
(@pk_parent_id_t48u, @configuration_type_t48u, @setting_type_other, 'programablekey.5.value', ''),
(@pk_parent_id_t48u, @configuration_type_t48u, @setting_type_other, 'programablekey.5.pickup_value', ''),
(@pk_parent_id_t48u, @configuration_type_t48u, @setting_type_other, 'programablekey.5.xml_phonebook', ''),
(@pk_parent_id_t48u, @configuration_type_t48u, @setting_type_other, 'programablekey.5.history_type', ''),
(@pk_parent_id_t48u, @configuration_type_t48u, @setting_type_other, 'programablekey.5.label', ''),
(@pk_parent_id_t48u, @configuration_type_t48u, @setting_type_other, 'programablekey.5.extension', ''),
(@pk_parent_id_t48u, @configuration_type_t48u, @setting_type_other, 'programablekey.6.type', ''),
(@pk_parent_id_t48u, @configuration_type_t48u, @setting_type_other, 'programablekey.6.line', ''),
(@pk_parent_id_t48u, @configuration_type_t48u, @setting_type_other, 'programablekey.6.value', ''),
(@pk_parent_id_t48u, @configuration_type_t48u, @setting_type_other, 'programablekey.6.pickup_value', ''),
(@pk_parent_id_t48u, @configuration_type_t48u, @setting_type_other, 'programablekey.6.xml_phonebook', ''),
(@pk_parent_id_t48u, @configuration_type_t48u, @setting_type_other, 'programablekey.6.history_type', ''),
(@pk_parent_id_t48u, @configuration_type_t48u, @setting_type_other, 'programablekey.6.label', ''),
(@pk_parent_id_t48u, @configuration_type_t48u, @setting_type_other, 'programablekey.6.extension', ''),
(@pk_parent_id_t48u, @configuration_type_t48u, @setting_type_other, 'programablekey.7.type', ''),
(@pk_parent_id_t48u, @configuration_type_t48u, @setting_type_other, 'programablekey.7.line', ''),
(@pk_parent_id_t48u, @configuration_type_t48u, @setting_type_other, 'programablekey.7.value', ''),
(@pk_parent_id_t48u, @configuration_type_t48u, @setting_type_other, 'programablekey.7.pickup_value', ''),
(@pk_parent_id_t48u, @configuration_type_t48u, @setting_type_other, 'programablekey.7.xml_phonebook', ''),
(@pk_parent_id_t48u, @configuration_type_t48u, @setting_type_other, 'programablekey.7.history_type', ''),
(@pk_parent_id_t48u, @configuration_type_t48u, @setting_type_other, 'programablekey.7.label', ''),
(@pk_parent_id_t48u, @configuration_type_t48u, @setting_type_other, 'programablekey.7.extension', ''),
(@pk_parent_id_t48u, @configuration_type_t48u, @setting_type_other, 'programablekey.8.type', ''),
(@pk_parent_id_t48u, @configuration_type_t48u, @setting_type_other, 'programablekey.8.line', ''),
(@pk_parent_id_t48u, @configuration_type_t48u, @setting_type_other, 'programablekey.8.value', ''),
(@pk_parent_id_t48u, @configuration_type_t48u, @setting_type_other, 'programablekey.8.pickup_value', ''),
(@pk_parent_id_t48u, @configuration_type_t48u, @setting_type_other, 'programablekey.8.xml_phonebook', ''),
(@pk_parent_id_t48u, @configuration_type_t48u, @setting_type_other, 'programablekey.8.history_type', ''),
(@pk_parent_id_t48u, @configuration_type_t48u, @setting_type_other, 'programablekey.8.label', ''),
(@pk_parent_id_t48u, @configuration_type_t48u, @setting_type_other, 'programablekey.8.extension', ''),
(@pk_parent_id_t48u, @configuration_type_t48u, @setting_type_other, 'programablekey.9.type', ''),
(@pk_parent_id_t48u, @configuration_type_t48u, @setting_type_other, 'programablekey.9.line', ''),
(@pk_parent_id_t48u, @configuration_type_t48u, @setting_type_other, 'programablekey.9.value', ''),
(@pk_parent_id_t48u, @configuration_type_t48u, @setting_type_other, 'programablekey.9.pickup_value', ''),
(@pk_parent_id_t48u, @configuration_type_t48u, @setting_type_other, 'programablekey.9.xml_phonebook', ''),
(@pk_parent_id_t48u, @configuration_type_t48u, @setting_type_other, 'programablekey.9.history_type', ''),
(@pk_parent_id_t48u, @configuration_type_t48u, @setting_type_other, 'programablekey.9.label', ''),
(@pk_parent_id_t48u, @configuration_type_t48u, @setting_type_other, 'programablekey.9.extension', ''),
(@pk_parent_id_t48u, @configuration_type_t48u, @setting_type_other, 'programablekey.10.type', ''),
(@pk_parent_id_t48u, @configuration_type_t48u, @setting_type_other, 'programablekey.10.line', ''),
(@pk_parent_id_t48u, @configuration_type_t48u, @setting_type_other, 'programablekey.10.value', ''),
(@pk_parent_id_t48u, @configuration_type_t48u, @setting_type_other, 'programablekey.10.pickup_value', ''),
(@pk_parent_id_t48u, @configuration_type_t48u, @setting_type_other, 'programablekey.10.xml_phonebook', ''),
(@pk_parent_id_t48u, @configuration_type_t48u, @setting_type_other, 'programablekey.10.history_type', ''),
(@pk_parent_id_t48u, @configuration_type_t48u, @setting_type_other, 'programablekey.10.label', ''),
(@pk_parent_id_t48u, @configuration_type_t48u, @setting_type_other, 'programablekey.10.extension', ''),
(@pk_parent_id_t48u, @configuration_type_t48u, @setting_type_other, 'programablekey.12.type', ''),
(@pk_parent_id_t48u, @configuration_type_t48u, @setting_type_other, 'programablekey.12.line', ''),
(@pk_parent_id_t48u, @configuration_type_t48u, @setting_type_other, 'programablekey.12.value', ''),
(@pk_parent_id_t48u, @configuration_type_t48u, @setting_type_other, 'programablekey.12.pickup_value', ''),
(@pk_parent_id_t48u, @configuration_type_t48u, @setting_type_other, 'programablekey.12.xml_phonebook', ''),
(@pk_parent_id_t48u, @configuration_type_t48u, @setting_type_other, 'programablekey.12.history_type', ''),
(@pk_parent_id_t48u, @configuration_type_t48u, @setting_type_other, 'programablekey.12.label', ''),
(@pk_parent_id_t48u, @configuration_type_t48u, @setting_type_other, 'programablekey.12.extension', ''),
(@pk_parent_id_t48u, @configuration_type_t48u, @setting_type_other, 'programablekey.13.type', ''),
(@pk_parent_id_t48u, @configuration_type_t48u, @setting_type_other, 'programablekey.13.line', ''),
(@pk_parent_id_t48u, @configuration_type_t48u, @setting_type_other, 'programablekey.13.value', ''),
(@pk_parent_id_t48u, @configuration_type_t48u, @setting_type_other, 'programablekey.13.pickup_value', ''),
(@pk_parent_id_t48u, @configuration_type_t48u, @setting_type_other, 'programablekey.13.xml_phonebook', ''),
(@pk_parent_id_t48u, @configuration_type_t48u, @setting_type_other, 'programablekey.13.history_type', ''),
(@pk_parent_id_t48u, @configuration_type_t48u, @setting_type_other, 'programablekey.13.label', ''),
(@pk_parent_id_t48u, @configuration_type_t48u, @setting_type_other, 'programablekey.13.extension', ''),
(@pk_parent_id_t48u, @configuration_type_t48u, @setting_type_other, 'programablekey.14.type', ''),
(@pk_parent_id_t48u, @configuration_type_t48u, @setting_type_other, 'programablekey.14.line', ''),
(@pk_parent_id_t48u, @configuration_type_t48u, @setting_type_other, 'programablekey.14.value', ''),
(@pk_parent_id_t48u, @configuration_type_t48u, @setting_type_other, 'programablekey.14.pickup_value', ''),
(@pk_parent_id_t48u, @configuration_type_t48u, @setting_type_other, 'programablekey.14.xml_phonebook', ''),
(@pk_parent_id_t48u, @configuration_type_t48u, @setting_type_other, 'programablekey.14.history_type', ''),
(@pk_parent_id_t48u, @configuration_type_t48u, @setting_type_other, 'programablekey.14.label', ''),
(@pk_parent_id_t48u, @configuration_type_t48u, @setting_type_other, 'programablekey.14.extension', ''),
(@pk_parent_id_t48u, @configuration_type_t48u, @setting_type_other, 'programablekey.17.type', ''),
(@pk_parent_id_t48u, @configuration_type_t48u, @setting_type_other, 'programablekey.17.line', ''),
(@pk_parent_id_t48u, @configuration_type_t48u, @setting_type_other, 'programablekey.17.value', ''),
(@pk_parent_id_t48u, @configuration_type_t48u, @setting_type_other, 'programablekey.17.pickup_value', ''),
(@pk_parent_id_t48u, @configuration_type_t48u, @setting_type_other, 'programablekey.17.xml_phonebook', ''),
(@pk_parent_id_t48u, @configuration_type_t48u, @setting_type_other, 'programablekey.17.history_type', ''),
(@pk_parent_id_t48u, @configuration_type_t48u, @setting_type_other, 'programablekey.17.label', ''),
(@pk_parent_id_t48u, @configuration_type_t48u, @setting_type_other, 'programablekey.17.extension', ''),
(@pk_parent_id_t48u, @configuration_type_t48u, @setting_type_other, 'programablekey.18.type', ''),
(@pk_parent_id_t48u, @configuration_type_t48u, @setting_type_other, 'programablekey.18.line', ''),
(@pk_parent_id_t48u, @configuration_type_t48u, @setting_type_other, 'programablekey.18.value', ''),
(@pk_parent_id_t48u, @configuration_type_t48u, @setting_type_other, 'programablekey.18.pickup_value', ''),
(@pk_parent_id_t48u, @configuration_type_t48u, @setting_type_other, 'programablekey.18.xml_phonebook', ''),
(@pk_parent_id_t48u, @configuration_type_t48u, @setting_type_other, 'programablekey.18.history_type', ''),
(@pk_parent_id_t48u, @configuration_type_t48u, @setting_type_other, 'programablekey.18.label', ''),
(@pk_parent_id_t48u, @configuration_type_t48u, @setting_type_other, 'programablekey.18.extension', '');
