use `ombutel`;

-- Add require_reset_pass flag to users table
alter table `ombu_users`
add `require_reset_pass` enum ('yes', 'no') not null default 'no';

-- Add 'reset password' module / action / role_privileges
-- We don't add a menu for this, everyone should be able to access this
-- This module will usually be accessed via auto-navigation, which is why we don't add a menu
insert ignore into `ombu_modules` (`name`, `has_dialplan`, `admin`, `version`, `portal`)
values ("reset_password", "no", "no", "1.0", "no");
set @reset_password_module = last_insert_id();

insert ignore into `ombu_actions` (`name`, `displayname`, `function`)
values ('reset-password', 'menu.reset_password', 'modules\\reset_password\\reset_password::open');

-- Add reset password privileges to all existing roles (user profiles)
insert ignore into `ombu_role_privileges` (`role_id`, `module_id`, `allow_view`, `allow_add`, `allow_edit`, `allow_delete`) select `role_id`, @reset_password_module, 'yes', 'yes', 'yes', 'yes' from `ombu_roles`;
