use `ombutel`;
-- Fix Polycom configuration idents
update `xepm_models` as m
    left join `xepm_configuration_types` as c on c.`model_id` = m.`model_id`
    left join `xepm_brands` as b on m.`brand_id` = b.`brand_id`
    set c.`ident` = 'legacy'
    where b.`ident` = 'polycom'
        and m.`ident` in ('vvx1500d', 'vvx1500', 'vvx600', 'vvx500', 'vvx410', 'vvx400', 'vvx310', 'vvx300', 'soundpointip670', 'soundpointip650', 'soundpointip560', 'soundpointip550', 'soundpointip450', 'soundpointip335', 'soundpointip331', 'soundpointip330', 'soundpointip321', 'soundpointip320', 'soundpointip601');
-- Fix Fanvil configuration idents
update `xepm_models` as m
    left join `xepm_configuration_types` as c on c.`model_id` = m.`model_id`
    left join `xepm_brands` as b on m.`brand_id` = b.`brand_id`
    set c.`ident` = 'generic_v1'
    where b.`ident` = 'fanvil'
        and m.`ident` = 'h3';
update `xepm_models` as m
    left join `xepm_configuration_types` as c on c.`model_id` = m.`model_id`
    left join `xepm_brands` as b on m.`brand_id` = b.`brand_id`
    set c.`ident` = 'u_series_v1'
    where b.`ident` = 'fanvil'
        and m.`ident` = 'x3u';
-- Fix Snom configuration idents
update `xepm_models` as m
    left join `xepm_configuration_types` as c on c.`model_id` = m.`model_id`
    left join `xepm_brands` as b on m.`brand_id` = b.`brand_id`
    set c.`ident` = 'generic', c.`name` = 'Generic'
    where b.`ident` = 'snom'
        and m.`ident` = 'd150';
-- Fix Grandstream configuration idents
update `xepm_models` as m
    left join `xepm_configuration_types` as c on c.`model_id` = m.`model_id`
    left join `xepm_brands` as b on m.`brand_id` = b.`brand_id`
    set c.`ident` = 'generic'
    where b.`ident` = 'grandstream'
        and m.`ident` in ('gxp1625', 'ht802');
-- Fix Cisco configuration idents (to remove classes from cisco provisioner)
update `xepm_models` as m
    left join `xepm_configuration_types` as c on c.`model_id` = m.`model_id`
    left join `xepm_brands` as b on m.`brand_id` = b.`brand_id`
    set c.`ident` = 'generic'
    where b.`ident` = 'cisco'
        and m.`ident` in ('7975', '7942');
update `xepm_models` as m
    left join `xepm_configuration_types` as c on c.`model_id` = m.`model_id`
    left join `xepm_brands` as b on m.`brand_id` = b.`brand_id`
    set c.`ident` = 'linksys_generic'
    where b.`ident` = 'cisco'
        and m.`ident` in ('spa303', 'spa502g');
