$(function() {
	// Images are 166px high but placed 106 px apart (60px overlap) in reverse order (first DOM element is bottom image)
	// When dragging, the element index is taken (starting from zero, being the bottom image)
	// On dragover we should show some kind of insertion indicator (separate underlying astribank by clearing bottom margin?)
	var indicator = null;
	$("#dahdi_hardwaregeneral").on("dragstart", "img", function(e) {
		console.log("dragstart", this, e);
		e.originalEvent.dataTransfer.setData("text/plain", $(this).index());
		indicator = document.createElement("div");
		indicator.style.position = "absolute";
		indicator.style.width = "850px";
		indicator.style.height = "166px";
		indicator.style.border = "3px solid red";
		indicator.style.top = 0;
		this.parentNode.style.position = "relative";
		this.parentNode.appendChild(indicator);
	});
	$("#dahdi_hardwaregeneral").on("drop", function(e) {
		console.log("drop", this, e, e.originalEvent.dataTransfer.getData("text/plain"));
		this.removeChild(indicator);
		e.preventDefault();
	});
	$("#dahdi_hardwaregeneral").on("dragover", function(e) {
		//~ console.log("dragover", e);
		// layerY bugs
		// screenY affected by scroll
		// pageY affected by scroll
		// movementY affected by scroll
		// layerY
		var offset = Math.floor(this.getBoundingClientRect().y);
		indicator.style.top = (e.originalEvent.y - offset) + "px"; //y, screenY, pageY, movementY, layerY, clientY
		e.preventDefault();
	});
});
