$(function() {
    $("a[href='#tab_diagnostics'] i.reload-tab").remove();
    var diagnosticModeStop = $("#diagnosticModeStop_btn");
    var diagnosticMode = $("#diagnosticMode_btn");
    var systemDataIcon = $(".system_data");
    var systemDataFileName = "";
    diagnosticModeStop.hide();
    var time_remaining = $("#tab_diagnostics #mode_time_remaining");
    var time_remaining_row = $(".diagnostics_mode_time_remaining");
    time_remaining_row.hide();
    var calculate_remaining = function() {
        var end = new Date(time_remaining.data("end") * 1000);
        var now = new Date();
        return Math.floor(Math.max(0, (end.getTime() - now.getTime()) / 1000));
    };

    var update_timer = function() {
        var remaining_time = calculate_remaining();
        var minutes = ("00"+Math.floor(remaining_time / 60)).slice(-2);
        var seconds = ("00"+(remaining_time % 60)).slice(-2);
        time_remaining.val(minutes+":"+seconds);
        if (minutes == "00" && seconds == "01") {
            stop_timer();
        }
    };
    var stop_timer = function() {
        time_remaining.data("end", 0);
        diagnosticMode.attr('disabled', false);
        diagnosticMode.show();
        diagnosticModeStop.hide();
        update_timer();
        time_remaining_row.hide();
        unregister_timer("diagnostics", "update_timer");
        window.location.href = $("#diagnosticModeStop").attr("href") + systemDataFileName;
    };

    Ombutel.on("click", "#diagnosticModeStop_btn", function () {
        stop_timer();
    });

    Ombutel.on("click", "#continueDiagnosticMode", function () {
        diagnosticMode.attr('disabled', true);
        $.ajax({
            type: "POST",
            url: "/",
            dataType: "html",
            data: { class: "diagnostics", method: "systemData", mode: "continueConfirmed", diagnosticMode: true, mode_time: mode_time }
        }).done(function(fileName) {
            systemDataFileName = fileName;
            time_remaining.data("end", (new Date().getTime() / 1000) + (mode_time * 60)); // set to 10 minutes
            time_remaining_row.show();
            register_timer("diagnostics", "update_timer", update_timer, 1000, true);
            update_timer();
            diagnosticMode.hide();
            diagnosticModeStop.show();
        });
    });

    Ombutel.on("click", "#diagnosticMode_btn", function () {
        $.ajax({
            type: "POST",
            url: "/",
            dataType: "html",
            data: { class: "diagnostics", method: "systemData", mode: "confirm", mode_time: mode_time }
        }).done(function(data) {
            data = JSON.parse(data);
            processServerResponse(data);
        });
    });

    Ombutel.on("click", "#system_data_btn", function () {
        systemDataIcon.addClass("fa-spinner fa-spin").removeClass("fa-download");
        $(this).attr('disabled', true);
        $.ajax({
            type: "POST",
            url: "/",
            dataType: "html",
            data: { class: "diagnostics", method: "systemData", mode: "continueConfirmed" }
        }).done(function(fileData) {
            $.ajax({
                type: "POST",
                url: "/",
                dataType: "html",
                data: { class: "diagnostics", method: "make_filename" }
            }).done(function(filename) {
                systemDataIcon.removeClass("fa-spinner fa-spin").addClass("fa-download");
                $("#system_data_btn").attr('disabled', false);
                var blob=new Blob([fileData]);
                var link=document.createElement('a');
                link.href=window.URL.createObjectURL(blob);
                link.download=filename;
                link.click();
            });
        });
    });
});
