(function () {
	$("a[href='#tab_extension_cdr'] i.reload-tab").remove();
	$("#extension_cdrgeneral [name='from'], #extension_cdrgeneral [name='to']").datetimepicker();
	var table = new pagedtable($("#extension_cdrgeneral .pagedtable"));
	table.callerid = function (value) {
		if (value == "\"\" <>") {
			this.html("-");
		} else {
			this.html(value.replace("\"\"", "").replace("<>", ""));
		}
	};
	var answered = $("#extension_cdrgeneral .pagedtable").data("answered");
	var noanswer = $("#extension_cdrgeneral .pagedtable").data("noanswer");
	var busy = $("#extension_cdrgeneral .pagedtable").data("busy");
	var failed = $("#extension_cdrgeneral .pagedtable").data("failed");
	var make_icon = function (icon, tooltip) { return $("<i>").addClass("glyphicon " + icon).attr("title", tooltip); };
	table.status = function (value) {
		switch (value) {
			case "ANSWERED": { this.append(make_icon("glyphicon-ok-sign", answered)); break; }
			case "NO ANSWER": { this.append(make_icon("glyphicon-remove-sign", noanswer)); break; }
			case "BUSY": { this.append(make_icon("glyphicon-minus-sign", busy)); break; }
			case "FAILED": { this.append(make_icon("glyphicon-exclamation-sign", failed)); break; }
		}
	};
	function open_player(cdr_id, type) {
		$.ajax({
			type : "POST",
			dataType : "json",
			data : { class: "extension_cdr", method: "play", cdr_id, type },
			success : processServerResponse
		});

	}
	table.recording = function (value, row) {
		if (row.recfile) {
			this.append($("<i>").addClass("glyphicon glyphicon-play-circle").click(() => {
				open_player(row.cdr_id, "local");
			}));
		}
		if (row.recfile_cloud) {
			if (row.recfile_cloud.includes("callcabinet.com/Calls/SingleCall")) {
				this.append($("<i>").addClass("glyphicon glyphicon-cloud").click(() => {
					open_player(row.cdr_id, "cloud");
				}));
			} else {
				this.append($("<i>").addClass("glyphicon glyphicon-cloud").click(() => {
					open_player(row.cdr_id, "cloud");
				}));
			}
		}
	};
	var mynumber = $('#extension_cdrgeneral input#extcdr_self_number').val();
	table.dialable = function (value) {
		if(value != mynumber) {
			this.append($("<a>").text(value).addClass('dialable'));
		} else {
			this.html(value);
		}
	}
	var original_onupdate = table.onupdate;
	table.onupdate = function (response) {
		var links = $("#extension_cdrgeneral .form-group-export-spreadsheet a");
		links[0].href = "/?class=extension_cdr&method=csv&id=" + response.cdr_query_id;
		links[1].href = "/?class=extension_cdr&method=ods&id=" + response.cdr_query_id;
		links[2].href = "/?class=extension_cdr&method=json&id=" + response.cdr_query_id;
		links[3].href = "/?class=extension_cdr&method=pdf&id=" + response.cdr_query_id;
		return original_onupdate.apply(this, arguments);
	};
	var search = function() {
		var method = table.data.method;
		table.data.method = "search";
		table.page = 1;
		table.data.cdr_filter_id = $("#extension_cdrgeneral [name='cdr_filter_id']").val();
		table.data.from = $("#extension_cdrgeneral [name='from']").val();
		table.data.to = $("#extension_cdrgeneral [name='to']").val();
		table.data.source = $("#extension_cdrgeneral [name='source']").val();
		table.data.destination = $("#extension_cdrgeneral [name='destination']").val();
		table.page_size = $("#extension_cdrgeneral [name='page_size']").val();
		table.update();
		table.data.method = method;
	};
	if(isMultiTab) {
		$("#tab_extension_cdr .frm-actions button.btn-success").click(search);
	} else {
		$(".tab_extension_cdr .frm-actions button.btn-success").click(search);
	}
	$("#extension_cdrgeneral [name='page_size']").change(function() {
		table.page = 1;
		table.page_size = $("#extension_cdrgeneral [name='page_size']").val();
		table.update();
	});

	$("#extension_cdrgeneral .pagedtable").on(
			"click", "tr td:nth-child(3) a, tr td:nth-child(4) a", function(event) {
		var number = $(this).text();
		if(number.length > 0) {
			BootstrapDialog.show({
				type: BootstrapDialog.TYPE_SUCCESS,
				title: extcdr_title,
				message: extcdr_message + ' ' + number,
				buttons: [{
					cssClass: '.btn-success',
					label: extcdr_confirm,
					hotkey: 13, // fire on enter
					action: function(dialog) {
						pbx_request("extension_cdr", "callnumber", "dial", number);
						dialog.close();
					}
				}, {
					label: extcdr_cancel,
					action: function(dialog) {
						dialog.close();
					}
				}]
			});
		}
	});
	search();
})();
