(function () {
	var extensionForm = $("#extensions_form");
	var attach_toggle = $("#extensions_form #extensionsvoicemail input#attach");
	var delete_toggle = $("#extensions_form #extensionsvoicemail input#delete");
	var notifications_toggle = $("#extensions_form #extensionsvoicemail input#notifications");
	var notifications_toggle_labels = $("#extensions_form #extensionsvoicemail div.form-group-notifications label");
	var delete_toggle_labels = $("#extensions_form #extensionsvoicemail div.form-group-delete label");
	var new_extension = (extensionForm.find("[name='extension_id']").val() == "");
	var portal_user_is_extension_number = (extensionForm.find("[name='extension']").val() == extensionForm.find("#portal_user").val());
	extensionForm.validate(Validations);
	var getEditExtensionMode = function (id) {
		pbx_request("extensions", "getContent", "edit", id);
	};
	var unlink_button = extensionForm.find("button.frmactions-unlink-device");

	if(extensionForm.find("[name='mode']").val() != 'edit') {
		extensionForm.find("[name='extension']").autocomplete({
				source : extAutoComplete,
				select : function (event, ui) {
					getEditExtensionMode(ui.item.id);
				}
			});
	}
	extensionForm.on("keyup", "[name='extension']", function() {
		var extension = $(this).val();
		if (new_extension) {
			extensionForm.find("#sip-user, #iax-user, #vm_password").val(extension);
		}
		if (portal_user_is_extension_number) {
			extensionForm.find("#portal_user").val(extension);
		}
	}).on("keyup", "[name='name']", function() {
		const description = $(this).val();
		var technology = current_technology();
		extensionForm.find("#"+technology+"-description").val(description);
	});
	extensionForm.on("keyup", "input[name$='-secret'], input[name='portal_password']", function() {
		show_pass_strength({
			"class" : "core",
			"method" : "show_strength",
			"value" : this.value,
			"bar_selector" : "#extensions_form [name='"+this.name+"'] + .password_strength"
		});
	});

	extensionForm.find('.gen_send_password').on("click", function() {
		var extension_id = extensionForm.find("[name='extension_id']").val();
		pbx_request("extensions", "gen_send_password", "edit",
			JSON.stringify({
				extension_id: extension_id,
				portal_user: extensionForm.find("#portal_user").val(),
				baseurl: window.location.protocol + "//" + window.location.host,
			})
		);
	});

	var current_technology = function() {
		var technology = extensionForm.find("[name='technology']")
			.find(":selected").val();
		if (!technology) {
			technology = extensionForm.find("[name='technology']").val();
		}
		return technology;
	};

	var update_hostname_warning = function(technology) {
		var has_hostname = extensionForm.find("#"+technology+"-profile_id")
			.find(":selected").data('has-hostname');
		if (has_hostname) {
			extensionForm.find(".form-group-"+technology+"-warning").hide();
		} else {
			extensionForm.find(".form-group-"+technology+"-warning").show();
		}
	}

	var update_cloudphone_hostname_warning = function() {
		if (current_technology() == "cloudphone") {
			update_hostname_warning("cloudphone");
		}
	}

	var update_desktop_hostname_warning = function() {
		if (current_technology() == "desktop") {
			update_hostname_warning("desktop");
		}
	}

	extensionForm.on("change", "[name='cloudphone-profile_id']",
		update_cloudphone_hostname_warning);

	extensionForm.on("change", "[name='desktop-profile_id']",
		update_desktop_hostname_warning);

	var update_teams_service_warning = function() {
		if (current_technology() == "teams") {
			var has_teams_service = extensionForm.find("#teams-profile_id")
				.find(":selected").data('has-teams_service');
			if (has_teams_service) {
				extensionForm.find(".form-group-teams-warning").hide();
			} else {
				extensionForm.find(".form-group-teams-warning").show();
			}
		}
	}

	extensionForm.on("change", "[name='teams-profile_id']",
		update_teams_service_warning);

	extensionForm.on("click", "#cloudphone-send_qrcode", function() {
		BootstrapDialog.show({
			type: BootstrapDialog.TYPE_WARNING,
			title: strings.warning,
			message: strings.qr_code_reset_warning,
			buttons: [{
				label: strings.confirm,
				cssClass: "btn-warning",
				action: function(dialog) {
					dialog.close();
					var device_id = extensionForm
						.find("[name='device_id']").val();
					pbx_request("extensions", "reset_cloudphone_password",
						"edit", device_id).then(function(reply) {
						extensionForm.find("#cloudphone-qrcode")
							.attr("src", "data:image/png;base64,"+reply["qr-code"]);
					});
				}
			}, {
				label: strings.cancel,
				cssClass: "btn-primary",
				action: function(dialog) {
					dialog.close();
				}
			}]
		});
	});

	extensionForm.on("click", "#desktop-send_password", function() {
		BootstrapDialog.show({
			type: BootstrapDialog.TYPE_WARNING,
			title: strings.warning,
			message: strings.password_reset_warning,
			buttons: [{
				label: strings.confirm,
				cssClass: "btn-warning",
				action: function(dialog) {
					dialog.close();
					var device_id = extensionForm
						.find("[name='device_id']").val();
					pbx_request("extensions", "reset_desktop_password",
						"edit", device_id).then(function(reply) {
							extensionForm.find("#desktop-username").val(reply.username);
							extensionForm.find("#desktop-password").val(reply.password);
					});
				}
			}, {
				label: strings.cancel,
				cssClass: "btn-primary",
				action: function(dialog) {
					dialog.close();
				}
			}]
		});
	});

	extensionForm.find(".frmactions-provision-device").click(function() {
		var device_id = extensionForm.find("#device_id").val();
		pbx_request('extensions', 'provision_device', 'edit', device_id);
	});

	var change_technology = function () {
		var hotdesk_technologies = ["sip", "iax", "fxs", "cloudphone", "desktop"];
		var technology = current_technology();
		extensionForm.find(".device-params .form-group")
			.not(".form-group-technology,.form-group-device_id").hide();
		extensionForm.find(".device-params [class*='form-group-"+technology+"-']").show();
		var device_id = extensionForm.find("[name='device_id']").val();
		if (technology == "teams") {
			extensionForm.find("button.frmactions-provision-device").hide();
			Ombutel.find("#email").trigger('keyup');
			Ombutel.find("#teams-teams_user_id").trigger('change');
		} else {
			extensionForm.find("button.frmactions-provision-device").show();
		}
		if (device_id == "new") { //if new device -> no buttons
			unlink_button.hide();
		} else if (hotdesk_technologies.includes(technology)) {
			unlink_button.show();
		} else {
			unlink_button.hide();
		}
		extensionForm.find("input#"+technology+"-secret").trigger("keyup");
		update_cloudphone_hostname_warning();
		update_desktop_hostname_warning();
		update_teams_service_warning();
	};
	// prevent setting attaching vm without notify
	// or setting deleting vm without attaching
	var set_restrictions = function() {
		if(!attach_toggle.prop('checked')) {
			delete_toggle.bootstrapToggle('off');
		} else {
			notifications_toggle.bootstrapToggle('on');
		}
		gray_out(attach_toggle, notifications_toggle, notifications_toggle_labels, true);
		gray_out(attach_toggle,delete_toggle,delete_toggle_labels);
	}
	extensionForm.on("change", "[name='device_id']", function () {
		var device_id = $(this).val();
		var extension_id = extensionForm.find("[name='extension_id']").val();
		pbx_request("extensions", "getDevice", "edit", device_id + "|" + extension_id, null, false)
			.done(change_technology);
	});
	extensionForm.on("change", "[name='technology']", change_technology);
	extensionForm.find("button.frmactions-remove-device").click(function() {
		var device_id = extensionForm.find("[name='device_id']").val();
		pbx_request("extensions", "remove_device", "delete", device_id);
	});
	extensionForm.find("button.frmactions-unlink-device").click(function() {
		var device_id = extensionForm.find("[name='device_id']").val();
		pbx_request("extensions", "unlink_device", "delete", device_id);
	});
	change_technology();
	$("#extensions_form #extensionsvoicemail input#attach").on('change', function() {
		set_restrictions();
	});
	set_restrictions();
	extensionForm.submit(function() {
		notifications_toggle.prop('disabled', false);
		delete_toggle.prop('disabled', false);
	})

	// prevent portal password generation via dedicated button
	// if portal user is disabled
	var portal_toggle = $("#extensions_form #extensionsadvanced input#enable_portal");
	var gen_passwod_button = $("#extensions_form #extensionsadvanced button.gen_send_password");
	gray_out(portal_toggle, gen_passwod_button);
	portal_toggle.on('change', function() {
		gray_out(portal_toggle, gen_passwod_button);
	});

	var followme_numbers_function = function() {
		var input = $(this).closest(".form-group").find("input");
		var label = $(this).closest(".form-group").find("label.form-control");
		var title = input.data("title");
		var textarea = $("<textarea class=\"modaltextarea\">").val(input.val().replace(/,+/g,"\n"));
		var dialog = create_modal(title, function() {
			var value = textarea.val().replace(/[\r\n ]+/g,",");
			input.val(value);
			label.text(value);
		});
		dialog.find(".modal-body").append(textarea);
		dialog.modal();
		return false;
	};
	Ombutel.off("click.extensions_followme_numbers");
	Ombutel.on("click.extensions_followme_numbers", "#extensionsfollowme .formtextdialog", followme_numbers_function);

	var additional_email_addresses = function() {
		var input = $(this).closest(".form-group").find("input");
		var label = $(this).closest(".form-group").find("label.form-control");
		var title = input.data("title");
		var textarea = $("<textarea class=\"modaltextarea\">").val(input.val().replace(/,+/g,"\n"));
		var dialog = create_modal(title, function() {
			var value = textarea.val().replace(/[\r\n ]+/g,",");
			input.val(value);
			label.text(value);
		});
		dialog.find(".modal-body").append(textarea);
		dialog.modal();
		return false;
	};
	Ombutel.off("click.additional_email_addresses");
	Ombutel.on("click.additional_email_addresses", "#extensionsvoicemail .formtextdialog", additional_email_addresses);

	Ombutel.on('change', "#teams-teams_user_id", function (){
		var teams_email = $(this).find("option:selected").text();
		Ombutel.find("#teams-email").val(teams_email.slice(teams_email.search(/\(/)+1,-1));
	});
	Ombutel.on("keyup", "#email", function (){
		var email = $(this).val().toLowerCase();
		if (email !== '') {
			Ombutel.find("#teams-teams_user_id option").each(function () {
				var teams_email = $(this).text().toLowerCase();
				teams_email = teams_email.slice(teams_email.search(/\(/) + 1, -1);
				if (teams_email === email) {
					$(this).prop('selected', true);
					Ombutel.find("#teams-email").val(teams_email);
				}
			});
		}
	});
})();
