(function () {
	$('#status_report_form button.frmactions-refresh').bind('click', function() {
		$.ajax({
			type: "POST",
			dataType: "json",
			data: { class: "status_report", method: "refresh_report"},
			success: function(response) {
				update_sip_registration(response.sip_registrations);
				update_iax_registration(response.iax_registrations);
				update_channels(response.channels);
				update_channels_summary(response.channel_summary);
				update_queues(response.queue_status);
			}
		});
		Ombutel.find("#sip_peers-status-table").DataTable().ajax.reload();
		Ombutel.find("#iax_peers-status-table").DataTable().ajax.reload();
		Ombutel.find("#hints-status-table").DataTable().ajax.reload();
		Ombutel.find("#voicemail-status-table").DataTable().ajax.reload();
		Ombutel.find("#hot_desking-status-table").DataTable().ajax.reload();
		Ombutel.find("#Filter").val("").trigger('change');
	});
	data_table_sip_peers();
	data_table_iax_peers();
	data_table_hints();
	data_table_voicemail();
	data_table_hot_desking();
	data_table_devices();

	Ombutel.on("change", "#Filter", function(){
		var filter = $(this).val();
		data_table_devices(filter);
	});
})();

function update_sip_registration(sip_registrations) {
	var sip_registrations_table = $('#status_report_form div#status_reportregistrations table.sip_registration');
	$(sip_registrations_table).find('tbody tr').remove();
	$(sip_registrations).each(function(i, elem) {
		$(sip_registrations_table).find('tbody').append(
			$('<tr>').append(
				$('<td>' + elem.host + '</td>'),
				$('<td>' + elem.username + '</td>'),
				$('<td>' + elem.state + '</td>'),
				$('<td>' + elem.time + '</td>')
			)
		);
	});
}

function update_iax_registration(iax_registrations) {
	var iax_registrations_table = $('#status_report_form div#status_reportregistrations table.iax_registration');
	$(iax_registrations_table).find('tbody tr').remove();
	$(iax_registrations).each(function(i, elem) {
		$(iax_registrations_table).find('tbody').append(
			$('<tr>').append(
				$('<td>' + elem.host + '</td>'),
				$('<td>' + elem.username + '</td>'),
				$('<td>' + elem.state + '</td>')
			)
		);
	});
}

function update_channels(channels) {
	var channels_table = $('#status_report_form div#status_reportchannels table.channels');
	$(channels_table).find('tbody tr').remove();
	$(channels).each(function(i, elem) {
		$(channels_table).find('tbody').append(
			$('<tr>').append(
				$('<td>' + elem.channel + '</td>'),
				$('<td>' + elem.callerid + '</td>'),
				$('<td>' + elem.exten + '</td>'),
				$('<td>' + elem.state + '</td>'),
				$('<td>' + elem.duration + '</td>')
			)
		);
	});
}

function update_channels_summary(channel_summary) {
	var channels_summary_table = $('#status_report_form div#status_reportchannels table.channels_summary');
	$(channels_summary_table).find('tbody tr').remove();
	$(channel_summary).each(function(i, elem) {
		$(channels_summary_table).find('tbody').append(
			$('<tr>').append(
				$('<td>' + elem.active_calls + '</td>'),
				$('<td>' + elem.active_channels + '</td>')
			)
		);
	});
}

function update_queues(queue_status) {
	var queues_table = $('#status_report_form div#status_reportqueues');
	var queue_members = $('#status_report_form div#status_reportqueues');
	$(queues_table).find('tbody tr').remove();
	$(queue_members).find('tbody tr').remove();
	$(queue_status).each(function(i, queues) {
		$.each(queues, function(i1, queue) {
			queue.max = (queue.max == 0) ? string_queues_unlimited : queue.max;
			$(queues_table).find('.' + queue.queue_name + '_name').find('tbody').append(
				$('<tr>').append(
					$('<td>' + queue.calls + '</td>'),
					$('<td>' + queue.max + '</td>'),
					$('<td>' + queue.stategy + '</td>'),
					$('<td>' + queue.holdtime + '</td>'),
					$('<td>' + queue.talktime + '</td>'),
					$('<td>' + queue.weight + '</td>'),
					$('<td>' + queue.completed + '</td>'),
					$('<td>' + queue.abandoned + '</td>')
				)
			);
			$.each(queue.members, function(i2, member) {

				$(queue_members).find('.' + queue.queue_name + '_members').find('tbody').append(
					$('<tr>').append(
						$('<td>' + member.name + '</td>'),
						$('<td>' + member.location + '</td>'),
						$('<td>' + member.membership + '</td>'),
						$('<td>' + agent_status_strings[member.status] + '</td>'),
						$('<td>' + (member.incall ? ombutel_yes : ombutel_no) + '</td>'),
						$('<td>' + (member.paused ? ombutel_yes : ombutel_no) + '</td>')
					)
				);
			});
		});
	});
}

function data_table_sip_peers() {
	var DataTablesOptionsSip_peers = {
		"processing": true,
		"serverSide": true,
		"lengthMenu": [ 5, 10, 20, 50, 100 ],
		"pageLength": 5,
		"ajax": {
			"url": "/",
			"type": "POST",
			"data": function ( d ) {
				d.class = "status_report";
				d.method = "loadSip_peers";
				d.mode = "get";
			}
		},
		"columns": [
			{ "data": "type", "name": "type" },
			{ "data": "name", "name": "username" },
			{ "data": "address", "name": "host" },
			{ "data": "port", "name": "port" },
			{ "data": "dynamic", "name": "dynamic" },
			{ "data": "rport", "name": "rport" },
			{ "data": "comedia", "name": "comedia" },
			{ "data": "acl", "name": "acl" },
			{ "data": "status", "name": "status" },
			{ "data": "description", "name": "description" },
		],
		order: [[0, 'asc']]
	};

	Ombutel.find("#sip_peers-status-table").DataTable(DataTablesOptionsSip_peers);
}

function data_table_iax_peers() {
	var DataTablesOptionsIax_peers = {
		"processing": true,
		"serverSide": true,
		"lengthMenu": [ 5, 10, 20, 50, 100 ],
		"pageLength": 5,
		"ajax": {
			"url": "/",
			"type": "POST",
			"data": function ( d ) {
				d.class = "status_report";
				d.method = "loadIax_peers";
				d.mode = "get";
			}
		},
		"columns": [
			{ "data": "type", "name": "type" },
			{ "data": "name", "name": "username" },
			{ "data": "address", "name": "host" },
			{ "data": "port", "name": "port" },
			{ "data": "dynamic", "name": "dynamic" },
			{ "data": "status", "name": "status" },
			{ "data": "description", "name": "description" },
		],
		order: [[0, 'asc']]
	};

	Ombutel.find("#iax_peers-status-table").DataTable(DataTablesOptionsIax_peers);
}

function data_table_hints() {
	var DataTablesOptionsHints = {
		"processing": true,
		"serverSide": true,
		"lengthMenu": [ 5, 10, 20, 50, 100 ],
		"pageLength": 5,
		"ajax": {
			"url": "/",
			"type": "POST",
			"data": function ( d ) {
				d.class = "status_report";
				d.method = "loadHints";
				d.mode = "get";
			}
		},
		"columns": [
			{ "data": "exten", "name": "extension" },
			{ "data": "context", "name": "context" },
			{ "data": "hint", "name": "hint" },
			{ "data": "status", "name": "status" },
		],
		order: [[0, 'asc']]
	};

	Ombutel.find("#hints-status-table").DataTable(DataTablesOptionsHints);
}

function data_table_voicemail() {
	var DataTablesOptionsVoicemail = {
		"processing": true,
		"serverSide": true,
		"lengthMenu": [ 5, 10, 20, 50, 100 ],
		"pageLength": 5,
		"ajax": {
			"url": "/",
			"type": "POST",
			"data": function ( d ) {
				d.class = "status_report";
				d.method = "loadVoicemail";
				d.mode = "get";
			}
		},
		"columns": [
			{ "data": "mailbox", "name": "mailbox" },
			{ "data": "fullname", "name": "fullname" },
			{ "data": "newmessages", "name": "newmessages" },
		],
		order: [[0, 'asc']]
	};

	Ombutel.find("#voicemail-status-table").DataTable(DataTablesOptionsVoicemail);
}

function data_table_hot_desking() {
	var DataTablesOptionsHotDesking = {
		"processing": true,
		"serverSide": true,
		"lengthMenu": [ 5, 10, 20, 50, 100 ],
		"pageLength": 5,
		"ajax": {
			"url": "/",
			"type": "POST",
			"data": function ( d ) {
				d.class = "status_report";
				d.method = "loadHot_desking";
				d.mode = "get";
			}
		},
		"columns": [
			{ "data": "description", "name": "description" },
			{ "data": "device", "name": "device" },
			{ "data": "type", "name": "type" },
			{ "data": "extension_name", "name": "extension_name" },
			{ "data": "extension", "name": "extension" },
		],
		order: [[4, 'asc']]
	};

	Ombutel.find("#hot_desking-status-table").DataTable(DataTablesOptionsHotDesking);
}

function data_table_devices(filter = null) {
	var DataTablesOptionsDevices = {
		"processing": true,
		"serverSide": true,
		"lengthMenu": [ 5, 10, 20, 50, 100 ],
		"pageLength": 5,
		"destroy" : true,
		"ajax": {
			"url": "/",
			"type": "POST",
			"data": function ( d ) {
				d.class = "status_report";
				d.method = "loadDevices";
				d.mode = "get";
				d.filter = filter;
			}
		},
		"columns": [
			{ "data": "extension", "name": "extension"},
			{ "data": "device", "name": "device", "orderable" : false},
		],
		"drawCallback": function( settings ) {
			helpPopover();
		},
		order: [[0, 'asc']]
	};

	Ombutel.find("#devices-status-table").DataTable(DataTablesOptionsDevices);
}
