(function () {
	// $("a[href='#tab_wakeup_calls'] i.reload-tab").remove();

	var activeWakeupCallsTableOptions = {
		"processing": true,
		"serverSide": true,
		"bDestroy": true,
		"lengthMenu": [ 10, 20, 50, 100 ],
		"pageLength": 100,
		"ajax": {
			"url": "/",
			"type": "POST",
			"data": function ( d ) {
				d.class = "wakeup_calls";
				d.method = "load_active_wakeup_calls";
				d.mode = "get";
			}
		},
		"columns": [
			{ "data": "selected", "name": "selected", "orderable": false},
			{ "data": "number", "name": "number" },
			{ "data": "when", "name" : "when", "className": "visible-md visible-lg", "orderable": true},
		],
		order: [[2, 'asc']],
	};

	Ombutel.find("#active-wakeup-calls-table").DataTable(activeWakeupCallsTableOptions);
	$('a[href="#wakeup_callspending"]').on('shown.bs.tab', function(e) {
		$("#active-wakeup-calls-table").DataTable(activeWakeupCallsTableOptions);
	});

	$('a[href="#wakeup_callshistory"]').on('shown.bs.tab', function(e) {
		var wakeupCallsHistoryTableOptions = {
			"processing": true,
			"serverSide": true,
			"bDestroy": true,
			"lengthMenu": [ 10, 20, 50, 100 ],
			"pageLength": 100,
			"ajax": {
				"url": "/",
				"type": "POST",
				"data": function ( d ) {
					d.class = "wakeup_calls";
					d.method = "load_wakeup_calls_history";
					d.mode = "get";
				}
			},
			"columns": [
				{ "data": "selected", "name": "selected", "orderable": false},
				{ "data": "number", "name": "number" },
				{ "data": "when", "name" : "when", "className": "visible-md visible-lg", "orderable": true},
				{ "data": "answered", "name" : "answered", "className": "visible-md visible-lg", "orderable": true},
			],
			order: [[2, 'asc']],
		};
		$("#wakeup-calls-history-table").DataTable(wakeupCallsHistoryTableOptions);
	});

	$(document).on('shown.bs.modal', '#modal-wakeup-call', function() {
		$("#when").datetimepicker();
	});
})();

function toggle_checkbox(object, force_toggle=undefined){
	if(force_toggle != undefined) {
		object.prop('checked', force_toggle);
	}
	if(object.is(':checked')) {
		object.removeClass('option-off');
		object.addClass('option-on');
	} else {
		object.addClass('option-off');
		object.removeClass('option-on');
		// uncheck master checkbox when one checkbox is unchecked
		const master_checkbox = object.closest('table').find('thead input[type="checkbox"]:first');
		master_checkbox.prop('checked', false);
		master_checkbox.next('label').addClass('option-off');
		master_checkbox.next('label').removeClass('option-on');
	}
}

function toggle_all_checkboxes(object){
	object.closest('table').find('input[type="checkbox"]').each(function() {
		toggle_checkbox($(this), object.is(':checked'));
	});
}

function delete_selected(){
	const active_tab = $('#wakeup_calls_form .tabs_list .active').find("a").attr('href');
	const  wakeup_call_ids = [];
	$(active_tab + ' input[type="checkbox"]:checked').each(function() {
		const wakeup_call_id = $(this).data('wakeup-call-id');
		if(wakeup_call_id) {
			wakeup_call_ids.push(wakeup_call_id);
		}
	});

	pbx_request(
	 "wakeup_calls",
	 "delete",
	 "delete",
	  wakeup_call_ids.join(','),
	);
}
