(function () {
	const behavior = $('#def_behavior label.active').find("input").val();
	toggle_hide_custom_fields(behavior);

	$('#def_behavior label').on('click', function(event) {
		toggle_hide_custom_fields(event.currentTarget.firstChild.value);
	});

	$('#snooze').parent().on('click', function(event) {
		// when checking the click event
		// we get the info PRIOR to the click
		// so if it DOESN'T contain btn-success, it means it is ENABLED
		// that is why we invert it here specifically
		var snooze_enabled = !event.currentTarget.classList.contains('btn-success');
		toggle_hide_snooze_enabled_warning(snooze_enabled);
	});
})();


function toggle_hide_custom_fields(behavior) {
	const wakeup_message_div = $('#wakeup_calls_settingsgeneral div.form-group-recording_id');
	const snooze_div = $('#wakeup_calls_settingsgeneral div.form-group-snooze');
	if (behavior == "def"){
		wakeup_message_div.hide();
		snooze_div.hide();
	} else if (behavior == "cust"){
		wakeup_message_div.show();
		snooze_div.show();
	}
	toggle_hide_snooze_enabled_warning(null, behavior);
}

function toggle_hide_snooze_enabled_warning(snooze_enabled=null, behavior=null) {
	if (snooze_enabled === null) {
		// this is only used when we go between cust and def
		// which means in that case, the div classes DO represent the actual state
		snooze_enabled = $('#snooze').parent()[0].classList.contains('btn-success');
	}
	if (behavior === null) {
		behavior = $('#def_behavior label.active').find("input").val();
	}
	const snooze_enabled_warning_div = $('#snooze_enabled_warning');
	if (behavior == "cust" && snooze_enabled){
		snooze_enabled_warning_div.show();
	} else {
		snooze_enabled_warning_div.hide();
	}
}
